#!/bin/bash

DB_USER=lilliad-adm
DB_PASSWD=WC6ST2GNrYarg23C
DB_NAME=lilliad_rpi_conf
HOST=localhost
QUERY="SELECT c1.boardId, c1.subId, c2.fileName FROM configure c1, configuration c2, timeslot t WHERE c1.startTime=c2.startTime AND c1.startDate=c2.startDate AND c1.startTime=t.startTime AND c1.startDate=t.startDate AND c1.startDate=CURDATE() AND ((c1.startTime >= '22:00:00' AND (t.endTime <= '06:00:00' OR t.endTime <= '23:59:59')) OR (c1.startTime >= '00:00:00' AND t.endTime <= '06:00:00')) ORDER BY c1.startDate, c1.startTime, t.endTime"

read -ra results <<< $(mysql -h${HOST} -u${DB_USER} -p${DB_PASSWD} ${DB_NAME} -s -N -e "${QUERY}")

count=${#results[@]}

for (( i=0 ; i<count ; i+=3 ));do 
	#		boardId			subboardID			fileName
	boardId=${results[$i]}
	subboardId=${results[$i+1]}
	file=${results[$i+2]}
	echo "$boardId $subboardId $file"
	/root/autoconf/ssh.sh $boardId $subboardId $file
done

