<?php $this->event_calendar->admin_head(); ?>

<section class="add-event">
	  <div class="alert alert-danger info-msg" role="alert" id="info"  style="display:none; text-align:center;"></div>
      <?php if($this->session->flashdata('event') == "add_success"): ?>
      	<div class="alert alert-success info-msg" role="alert"  id="insert-success" style="text-align: center;"><?= ($this->lang->line('add_success_message')) ? $this->lang->line('add_success_message') : "Event Added Successfully"; ?></div>
      <?php elseif($this->session->flashdata('event') == "add_failed") : ?>
      	<div class="alert alert-danger info-msg" role="alert" id="insert-failed"  style="text-align:center;"><?= ($this->lang->line('add_failed_message')) ? $this->lang->line('add_failed_message') : "Event Add Failed, try again with page refresh"; ?> </div>
      <?php endif; ?>
      <?php echo form_open('admin/insertEvent'); ?>
                <div class="action-title"><span class="lead"><strong><?= ($this->lang->line('event_add_head')) ? $this->lang->line('event_add_head') : "Add Event"; ?></strong></span></div>
                <hr />
                <div class="row">
                    <div class="col-md-12">                        
                            <div class="form-group">
                                <label for="event-name"><?= ($this->lang->line('event_add_eventtitle')) ? $this->lang->line('event_add_eventtitle') : "Event Title"; ?></label>
                                <input type="text" class="form-control" name="event-title" id="event-title" required />
                            </div>
                        
                            <div class="form-group timers">
                                <label for="event-start-date"><?= ($this->lang->line('event_add_eventstartdate')) ? $this->lang->line('event_add_eventstartdate') : "Event Start Date"; ?></label>
                                <div class="input-group">
                                    <span class="input-group-addon" id="basic-addon1"><span class="glyphicon glyphicon-calendar" aria-hidden="true"></span></span>
                                    <input type="text" class="form-control" name="event-start-date" id="event-start-date"  required readonly/>
                                </div>
                            </div>
                            
                            <div class="form-group timers">
                                <label for="event-end-date"><?= ($this->lang->line('event_add_eventenddate')) ? $this->lang->line('event_add_eventenddate') : "Event End Date"; ?></label>
                                <div class="input-group">
                                    <span class="input-group-addon" id="basic-addon1"><span class="glyphicon glyphicon-calendar" aria-hidden="true"></span></span>
                                    <input data-container="body" data-toggle="popover" data-placement="right" data-content="End Date is must be greater than Start Date !" type="text" class="form-control" name="event-end-date" id="event-end-date" required  readonly/>
                                </div>
                            </div>
                            
                            
                            
                            <div class="form-group" style="display: none;">
                                <label for="event-address"><?= ($this->lang->line('event_add_eventaddress')) ? $this->lang->line('event_add_eventaddress') : "Event Address"; ?></label>
                                <textarea type="text" class="form-control" name="event-address" id="event-address">Lilliad</textarea>
                            </div>
							
                            
                            <div class="form-group">
                            	<label for="fileUplaod"><?= ($this->lang->line('event_add_uploadimage')) ? $this->lang->line('event_add_uploadimage') : "Upload Hex File"; ?></label><br />
                                <span class="btn btn-success fileinput-button">
                                    <i class="glyphicon glyphicon-plus"></i>                                    
                                    <span><?= ($this->lang->line('event_add_selectfiles')) ? $this->lang->line('event_add_selectfiles') : "Select file"; ?></span>                                    
                                    <input id="fileupload" type="file" name="files[]" accept="image/*" multiple />
                                </span> 
                                                      
                            	<br />
                                <br />    						    						
                                <!-- The global progress bar -->
                            	<div id="progress" class="progress">
                                	<div class="progress-bar progress-bar-success bar"></div>
                            	</div>                                
                                <div class="files-list"><ul id="files" class="files-list-ul"></ul></div>                           
                            </div> 
                           
                            <!-- <div class="form-group">
                                <label for="video-url"><?= ($this->lang->line('event_add_videoembedcode')) ? $this->lang->line('event_add_videoembedcode') : "Video Embed Code"; ?></label>
                                <textarea type="text" class="form-control" name="video-url" id="video-url" ></textarea>
                            </div> -->                                 
                    </div>
                    <div class="col-md-6" style="display: none;">                        
                        <div class="form-group">
                            <label for="evnt2-address"><?= ($this->lang->line('event_add_location')) ? $this->lang->line('event_add_location') : "Location"; ?></label>
                            <div class="input-group">
                                <span class="input-group-addon" id="basic-addon1"><span class="glyphicon glyphicon-map-marker" aria-hidden="true"></span></span>
                                <input type="text" class="form-control" id="evnt2-address" value="Villeneuve d'Ascq" name="evnt2-address" autocomplete="off" />
                        	</div>
                        </div>
                        
                        <div id="evnt2"></div>				
                    
                        <div class="form-group">
                            <label for="evnt2-radius"><?= ($this->lang->line('event_add_radius')) ? $this->lang->line('event_add_radius') : "Radius"; ?></label>                
                            <input type="text" class="form-control" id="evnt2-radius" name="evnt2-radius" value="30" autocomplete="off" required />
                        </div> 
                                    
                        <div class="form-group">
                            <label for="evnt2-lat"><?= ($this->lang->line('event_add_latitude')) ? $this->lang->line('event_add_latitude') : "Latitude"; ?></label>
                            <div class="input-group">
                                <span class="input-group-addon" id="basic-addon1"><span class="glyphicon glyphicon-globe" aria-hidden="true"></span></span>
                                <input type="text" class="form-control" id="evnt2-lat" name="evnt2-lat" value="50.609556" autocomplete="off" required />
                        	</div>
                            
                        </div>
                        
                        <div class="form-group">                
                            <label for="evnt2-lon"><?= ($this->lang->line('event_add_longitude')) ? $this->lang->line('event_add_longitude') : "Longitude"; ?></label>
                            <div class="input-group">
                                <span class="input-group-addon" id="basic-addon1"><span class="glyphicon glyphicon-globe" aria-hidden="true"></span></span>
                                <input type="text" class="form-control" id="evnt2-lon" name="evnt2-lon" value="3.141833" autocomplete="off" required />
                        	</div>
                            
                        </div>
                	</div>
					<div class="col-md-12">
						 <div class="form-group">
                                <label for="boardAdd"><?= ($this->lang->line('event_add_board')) ? $this->lang->line('event_add_board') : "Raspberry Pi ID"; ?></label>
                                <textarea type="text" class="form-control" name="boardAdd" id="boardAdd"></textarea>
								<label for="subboardAdd"><?= ($this->lang->line('event_add_subboard')) ? $this->lang->line('event_add_subboard') : "Sub-board ID"; ?></label>
                                <textarea type="text" class="form-control" name="subboardAdd" id="subboardAdd"></textarea>       
                        </div>
					</div>
                </div>
                <div class="row">
                	<div class="col-md-12">
                    <div class="form-group">
                                <label for="event-description"><?= ($this->lang->line('event_add_eventdescription')) ? $this->lang->line('event_add_eventdescription') : "Event Description"; ?></label>
                                <textarea type="text" class="form-control text-editor" name="event-description" id="event-description"></textarea>
                            </div>
                    </div>
                </div>
                <div class="text-left">
                <button type="submit" class="btn btn-primary btn-lg" name="submit" id="submit" value="submit"><span class="glyphicon glyphicon-plus" aria-hidden="true"></span> <?= ($this->lang->line('event_add_addevent')) ? $this->lang->line('event_add_addevent') : "Add Event"; ?></button>
                </div>
       <?php echo form_close(); ?>
	   
       <input type="hidden" id="projectname" value="<?php echo base_url();?>" />
 </section>
 <?php $this->event_calendar->admin_foot(); ?>