<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title><?php if(isset($title)) echo $title; ?></title>  
    
  	<link href="<?php echo base_url('assets/admin/css/bootstrap.min.css'); ?>" rel="stylesheet">    
    <link href="<?php echo base_url('assets/admin/css/style.css'); ?>" rel="stylesheet">
  </head>
  <body>
	<div class="container" style="max-width:450px;">
        <nav class="navbar" role="navigation">
            <div class="navbar-header">
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1">
                    <span class="sr-only">Toggle navigation</span><span class="icon-bar"></span><span class="icon-bar"></span><span class="icon-bar"></span>
                </button> <a class="navbar-brand" href="<?php echo base_url('admin/dashboard');?>"><img src="<?php echo base_url('assets/admin/images/eventro.png'); ?>"></a>
             </div>
            <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
                <ul class="nav navbar-nav navbar-right">
                    <li class="<?php if(preg_match('/admin/' , $_SERVER["REQUEST_URI"])){ echo 'active';  }else{ echo "deactive"; } ?>"><?php echo anchor('admin', 'Sign in'); ?></li>
                    <li class="<?php if(preg_match('/forgot-password/' , $_SERVER["REQUEST_URI"])){ echo 'active';  }else{ echo "deactive"; } ?>"><a href ="<?php echo base_url('admin/forgot-password'); ?>">Forgot Password<span class="glyphicon glyphicon-question-sign" aria-hidden="true"></span></a></li>
                </ul>
            </div>
        </nav>
	</div>
    <div class="container" style="max-width:450px;">
    <div class="content-wrap">
<section class="admin-login">
        <?php echo form_open( base_url('admin/login'),'class="form-signin"'); ?>
            <h2 class="lead">Please sign in</h2>
            
            <div class="row">
            	<div class="col-md-12">
                        <?php if($this->session->flashdata('logged') == 'failed'):?>
                        	<div class="alert alert-warning info-msg" role="alert" id="insert-failed"  style="text-align:center;"><?= ($this->lang->line('login_faild_message')) ? $this->lang->line('login_failed_message') : "Login Failed"; ?></div>
						<?php endif; ?>
                    <div class="form-group">
                        <label for="inputUser">Username</label>
                        <div class="input-group">
                            <span class="input-group-addon" id="basic-addon1"><span class="glyphicon glyphicon-user" aria-hidden="true"></span></span>
                        	<input value="admin" type="text" id="inputUser" name="inputUser" class="form-control input-lg" placeholder="Username" required autofocus>
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="inputPassword">Password</label>
                        <div class="input-group">
                            <span class="input-group-addon" id="basic-addon1"><span class="glyphicon glyphicon-pencil" aria-hidden="true"></span></span>
                        	<input value="" type="password" id="inputPassword" name="inputPassword" class="form-control input-lg" placeholder="Password" required>
                        </div>
                    </div>
                    <button class="btn btn-lg btn-primary btn-block" type="submit">Sign in</button>
                    <hr>
                   <?php echo anchor('admin/forgot-password', 'Forgot Password'); ?>
                </div>
            </div>

     <?php echo form_close(); ?>
</section> 

                </div>
            </div>   
        <footer>
        <div class="container" style="max-width:450px;">
        <hr />
        <p><img src="<?php echo base_url('assets/admin/images/tangien-powered.png'); ?>" /></p>
        </div>
        </footer>	
	</body>
</html>
