<?php $this->event_calendar->admin_head(); ?>
<section class="edit-event">	
      <?php if( $event->num_rows() > 0 ): ?>
		 <?php 
			  $row = $event->row(); 
			  $event_id = $row->event_id;
			  $event_title = $row->event_title; 
			  $start_date =  date_format(date_create($row->start_date), 'd-M-Y h:i a');
			  $end_date =    date_format(date_create($row->end_date), 'd-M-Y h:i a');
			  $event_address = $row->event_address;
			  $event_description = $row->event_description;
			  $event_url = $row->event_view_url;
          ?>
      <?php endif;?>
      <?php if( $location->num_rows() > 0 ): ?>
		  <?php  
			 $row = $location->row();
			 $loc = $row->location;
			 $radius = $row->radius;
		     $lat = $row->latitude;
		     $lon = $row->longitude;
          ?>
      <?php endif;?>
      
      <?php if( $video->num_rows() > 0 ): ?>
		  <?php  
			  $row = $video->row();
			  $video_id = $row->video_id;
			  $video_url = $row->video_url;
          ?>
      <?php endif;?>
	  
	  <div class="alert alert-danger info-msg" role="alert" id="info"  style="display:none; text-align:center;"></div>
      <?php if($this->session->flashdata('event') == "add_success"): ?>
      	<div class="alert alert-success info-msg" role="alert"  id="insert-success" style="text-align: center;"><?= ($this->lang->line('add_success_message')) ? $this->lang->line('add_success_message') : "Event Added Successfully"; ?></div>
      <?php elseif($this->session->flashdata('event') == "update_success") : ?>
      	<div class="alert alert-success info-msg" role="alert"  id="insert-success" style="text-align: center;"><?= ($this->lang->line('update_success_message')) ? $this->lang->line('update_success_message') : "Event Updated Successfully"; ?></div>
      <?php elseif($this->session->flashdata('event') == "update_failed"): ?>
      	<div class="alert alert-danger info-msg" role="alert" id="insert-failed"  style="text-align:center;"><?= ($this->lang->line('update_failed_message')) ? $this->lang->line('update_failed_message') : "Event Update Failed, try again with page refresh"; ?></div>
      <?php endif; ?>
      <?php echo form_open("admin/updateEvent/$event_id"); ?>
                <div class="action-title">
                    <span class="lead"><strong><?= ($this->lang->line('event_edit_head')) ? $this->lang->line('event_edit_head') : "Edit Event"; ?></strong></span>
                    <div class="pull-right">
                    <a href="<?php echo base_url("EventCalendarAjaxHandler/delete_event_edit/$event_id"); ?>" class="btn btn-danger btn-xs" id="DeleteConfirmation"><span class="glyphicon glyphicon-trash" aria-hidden="true"></span> <?= ($this->lang->line('event_edit_delete')) ? $this->lang->line('event_edit_delete') : "Delete"; ?></a>
                    <a href="<?= ($event_url) ? "$event_url/?p=$event_id" : base_url("event/$event_id/?p=$event_id"); ?>" target="_blank" class="btn btn-info btn-xs"><span class="glyphicon glyphicon-share" aria-hidden="true"></span> <?= ($this->lang->line('event_edit_view')) ? $this->lang->line('event_edit_view') : "View"; ?></a>   
                    </div>
                </div>                
                <hr />
                <div class="row">
                    <div class="col-md-6">                    
                        <div class="form-group">
                            <label for="event-name"><?= ($this->lang->line('event_edit_eventtitle')) ? $this->lang->line('event_edit_eventtitle') : "Event Title"; ?></label>
                            <input type="text" class="form-control" name="event-title" id="event-title" value="<?php if(isset($event_title)) echo $event_title; ?>" required />
                        </div>
                    
                        <div class="form-group timers">
                            <label for="event-start-date"><?= ($this->lang->line('event_edit_eventstartdate')) ? $this->lang->line('event_edit_eventstartdate') : "Event Start Date"; ?></label>
                            <div class="input-group">
                                <span class="input-group-addon" id="basic-addon1"><span class="glyphicon glyphicon-calendar" aria-hidden="true"></span></span>
                                <input type="text" class="form-control" name="event-start-date" id="event-start-date" value="<?php if(isset($start_date)) echo $start_date; ?>" required  readonly />
                        	</div>
                        </div>
                        
                        <div class="form-group timers">
                            <label for="event-end-date"><?= ($this->lang->line('event_edit_eventenddate')) ? $this->lang->line('event_edit_eventenddate') : "Event End Date"; ?></label>
                            <div class="input-group">
                                <span class="input-group-addon" id="basic-addon1"><span class="glyphicon glyphicon-calendar" aria-hidden="true"></span></span>
                            	<input data-container="body" data-toggle="popover" data-placement="right" data-content="End Date is must be greater than Start Date !" type="text" class="form-control" name="event-end-date" id="event-end-date"  value="<?php if(isset($end_date)) echo $end_date; ?>" required readonly />
                        	</div>
                        </div>
                        
                        
                        
                        <div class="form-group">
                             <label for="event-address"><?= ($this->lang->line('event_edit_eventaddress')) ? $this->lang->line('event_edit_eventaddress') : "Event Address"; ?></label>
                            <textarea type="text" class="form-control" name="event-address" id="event-address" required ><?php if(isset($event_address)) echo $event_address; ?></textarea>
                        </div>
                        
                        
                        <div class="form-group">
                            <label for="fileUplaod"><?= ($this->lang->line('event_edit_uploadimage')) ? $this->lang->line('event_edit_uploadimage') : "Upload Hex File"; ?></label><br />
                            <span class="btn btn-success fileinput-button">
                                <i class="glyphicon glyphicon-plus"></i>                                    
                                <span><?= ($this->lang->line('event_edit_selectfiles')) ? $this->lang->line('event_edit_selectfiles') : "Select file"; ?></span>                                 
                                <input id="fileupload" type="file" name="files[]" accept="image/*" multiple />
                            </span> 
                                                  
                            <br />
                            <br />    						    						
                            <!-- The global progress bar -->
                            <div id="progress" class="progress">
                                <div class="progress-bar progress-bar-success bar"></div>
                            </div>                                
                            <div class="files-list">
                            	<?php $id = 1;?>
                                <ul id="files" class="files-list-ul">                                
                                    <?php if($images->num_rows() > 0):  ?>
                                        <?php foreach($images->result() as $image): ?>
                                            <li class="files-list-ul-li" id="li-row-<?php echo $id; ?>">
                                                <img src="<?php echo $image->image_thumb_url; ?>" width="50px" height="50px">
                                                <span><?php echo $image->image_name; ?></span>
                                                <a href="javascript:void(0)" class="anchor-remove" onclick="removeList(<?php echo $id;?>,'<?php echo $image->image_name; ?>')">
                                                    <span class="glyphicon glyphicon-remove custome-style"></span>
                                                </a>
                                                <input type="hidden" name = "img-name[]" value = "<?php echo $image->image_name;  ?>"/>
                                                <input type="hidden" name = "img-url[]" value = "<?php echo $image->image_url; ?>"/>
                                                <input type="hidden" name = "img-thumb-url[]" value = "<?php echo $image->image_thumb_url; ?>"/>
                                            </li>
                                            <?php $id++; ?>
                                        <?php endforeach; ?>                                         
                                    <?php endif; ?>                                   
                                </ul>
                                <input type="hidden" name="ids" id="ids" value="<?php echo $id; ?>"  />
                            </div>                           
                        </div> 
                       
                        <div class="form-group">
                            <label for="video-url"><?= ($this->lang->line('event_edit_videoembedcode')) ? $this->lang->line('event_edit_videoembedcode') : "Video Embed Code"; ?></label>
                            <textarea type="text" class="form-control" name="video-url" id="video-url"  ><?php if(isset($video_url)) echo $video_url; ?></textarea>
                        </div>          
                                           
                    </div>
                    <div class="col-md-6">                        
                        <div class="form-group">
                            <label for="evnt2-address"><?= ($this->lang->line('event_edit_location')) ? $this->lang->line('event_edit_location') : "Location"; ?></label>
                            <div class="input-group">
                                <span class="input-group-addon" id="basic-addon1"><span class="glyphicon glyphicon-map-marker" aria-hidden="true"></span></span>
                                <input type="text" class="form-control" id="evnt2-address" name="evnt2-address" value="<?php if(isset($loc)) echo $loc; ?>"  required />
                        	</div>
                            
                        </div>
                        
                        <div id="evnt2"></div>				
                    
                        <div class="form-group">
                            <label for="evnt2-radius"><?= ($this->lang->line('event_edit_radius')) ? $this->lang->line('event_edit_radius') : "Radius"; ?></label>             
                            <input type="text" class="form-control" id="evnt2-radius" name="evnt2-radius" value="<?php if(isset($radius)) echo $radius; ?>"  required />
                        </div>
                                    
                        <div class="form-group">
                            <label for="evnt2-lat"><?= ($this->lang->line('event_edit_latitude')) ? $this->lang->line('event_edit_latitude') : "Latitude"; ?></label>
                            <div class="input-group">
                                <span class="input-group-addon" id="basic-addon1"><span class="glyphicon glyphicon-globe" aria-hidden="true"></span></span>
                                <input type="text" class="form-control" id="evnt2-lat" name="evnt2-lat" value="<?php if(isset($lat)) echo $lat; ?>" required/>
                        	</div>
                            
                        </div>
                        
                        <div class="form-group">                
                            <label for="evnt2-lon"><?= ($this->lang->line('event_edit_longitude')) ? $this->lang->line('event_edit_longitude') : "Longitude"; ?></label>
                            <div class="input-group">
                                <span class="input-group-addon" id="basic-addon1"><span class="glyphicon glyphicon-globe" aria-hidden="true"></span></span>
                                <input type="text" class="form-control" id="evnt2-lon" name="evnt2-lon" value="<?php if(isset($lon)) echo $lon; ?>" required />
                        	</div>
                        </div>
                	</div>
                </div>
                <div class="row">
                	<div class="col-md-12">
                    	<div class="form-group">
                           <label for="event-description"><?= ($this->lang->line('event_edit_eventdescription')) ? $this->lang->line('event_edit_eventdescription') : "Event Description"; ?></label>
                            <textarea type="text" class="form-control text-editor" name="event-description" id="event-description"><?php if(isset($event_description)) echo $event_description; ?></textarea>
                        </div>
                    </div>
                </div>
                <div class="text-left">
                <button type="submit" class="btn btn-primary btn-lg" name="update" id="update" value="update"><?= ($this->lang->line('event_edit_updateevent')) ? $this->lang->line('event_edit_updateevent') : "Update Event"; ?></button>
                </div>
		<?php echo form_close(); ?>
       <input type="hidden" id="projectname" value="<?php echo base_url(); ?>" />
</section>
<?php $this->event_calendar->admin_foot(); ?>
    