        <?php if($this->session->userdata('default_lang')): ?>
            <?php $this->lang->load('admin', $this->session->userdata('default_lang')); ?>
        <?php endif; ?>

		<section class="model-event">

			<?php if( $events->num_rows() > 0): ?>
                <?php foreach( $events->result() as $event): ?>
                    <?php $event_id = $event->event_id; ?>
                    <?php $event_title = $event->event_title; ?>
					<?php $start_date =  date_format(date_create($event->start_date), 'd-M-Y h:i a'); ?>
			  		<?php $end_date =  date_format(date_create($event->end_date), 'd-M-Y h:i a'); ?>
                     <?php $event_address = $event->event_address; ?>
                    <?php $event_description = $event->event_description; ?>
                <?php endforeach; ?>
            <?php endif; ?>
            <?php if( $locations->num_rows() > 0): ?>
                <?php foreach( $locations->result() as $loc): ?>
                    <?php $location_id = $loc->location_id; ?>
                    <?php $location = $loc->location; ?>
                    <?php $radius = $loc->radius; ?>
                    <?php $latitude = $loc->latitude; ?>
                    <?php $longitude = $loc->longitude; ?>        
                <?php endforeach; ?>
            <?php endif; ?>
            <?php if( $videos->num_rows() > 0): ?>	
                    <?php $video_url = $videos->row()->video_url; ?>        
            <?php endif; ?>
            <div class="modal-head">
                <div class="row">
                    <div class="col-md-12">                    	 
                        <div class="page-header">
                            <h1>
                                <?php if(isset($event_title)) echo $event_title;?> <small> <?= ($start_date)? $start_date : ""; ?></small>
                            </h1>
                        </div>
                        <div class="row">
                            <div class="col-md-6 event-dates">
                                <span class="glyphicon glyphicon-calendar" aria-hidden="true"></span>
                                <ul class="list-unstyled">
                                    <li><strong><?= ($this->lang->line('modal_view_startdate')) ? $this->lang->line('modal_view_startdate') : "Start Date"; ?>:</strong> <?= ($start_date) ? $start_date : ""; ?></li>
                                    <li><strong><?= ($this->lang->line('modal_view_enddate')) ? $this->lang->line('modal_view_enddate') : "End Date"; ?>:</strong> <?=  ($end_date) ?   $end_date : ""; ?></li>
                                </ul>
                            </div>
                            <div class="col-md-6 event-address">
                                <address>
                                    <span class="glyphicon glyphicon-map-marker" aria-hidden="true"></span>
                                    <p class="address">
                                     <strong><?= ($this->lang->line('modal_view_address')) ? $this->lang->line('modal_view_address') : "Address"; ?></strong><br />
                                     <?php if(isset($event_address)) echo $event_address; ?>
                                    </p>
                                </address>
                            </div>
                        </div>
                        
                        <hr />
                        
                        <?php if( $images->num_rows() > 0):?>
                        <div id="carousel" class="carousel slide" data-ride="carousel">
                        <ol class="carousel-indicators">
                        <?php if($images->num_rows() > 0):?>
                        <?php $isFirst = true; ?>
                        <?php for($i=0; $i<count($images->result()); $i++):?>
                        <li data-target="#carousel" data-slide-to="<?php echo $i;?>" class="<?php if($isFirst == true) { ?>active<?php } ?>"></li>
                        <?php $isFirst = false; ?>
                        <?php endfor; ?>
                        <?php endif; ?>
                        </ol>
        
                        <div class="carousel-inner" role="listbox">
                            <?php if( $images->num_rows() > 0):?>
                                <?php $isFirst = true; ?>
                                <?php  foreach( $images->result() as $image): ?>
                                    <div class="item <?php if($isFirst == true) { ?>active<?php } ?>">
                                    <img data-src="<?php echo $image->image_name; ?>" src="<?php echo $image->image_url; ?>" data-holder-rendered="true">
                                    </div>
                                <?php $isFirst = false; ?>
                                <?php endforeach; ?>
                            <?php endif; ?>	
                        </div>
                        
                        <a class="left carousel-control" href="#carousel" role="button" data-slide="prev">
                        <span class="glyphicon glyphicon-chevron-left" aria-hidden="true"></span>
                        <span class="sr-only">Previous</span>
                        </a>
                        <a class="right carousel-control" href="#carousel" role="button" data-slide="next">
                        <span class="glyphicon glyphicon-chevron-right" aria-hidden="true"></span>
                        <span class="sr-only">Next</span>
                        </a>
            			</div>
                        <hr />
                        <?php endif; ?> 
                        
                        
                        <?php if(isset($video_url)): ?>
                            <div class="embed-responsive embed-responsive-16by9">
                                <?php  echo $video_url; ?>
                            </div>  
                            <hr />             
                         <?php endif; ?>
                        <div class="row">
                            <div class="col-md-6">                                
                                <description>
                                    <strong><?= ($this->lang->line('modal_view_description')) ? $this->lang->line('modal_view_description') : "Description"; ?></strong><br />
                                    <p><?php if(isset($event_description)) echo $event_description; ?></p>
                                </description>                               
                            </div>
                            <div class="col-md-6"> 
                                <div id="evnt2"></div> 
                                <input type="hidden" id="evnt2-lat" value="<?php if(isset($latitude)) echo $latitude; ?>"/>
                                <input type="hidden" id="evnt2-lon" value="<?php if(isset($longitude)) echo $longitude;?>" />
                                <input type="hidden" id="evnt2-radius" value="<?php if(isset($radius)) echo $radius; ?>" />
                            </div>
                      </div>
                      
                    </div>
                </div>
            </div>
            
         </section>