<?php $this->event_calendar->admin_head(); ?>
<?php

	if($settings->num_rows() > 0){
		
		$result = $settings->row();
		$first_day = $result->first_day;	
		$time_format = $result->time_format;	
		$default_view = $result->default_view;
		$site_name = $result->site_name;
		$event_type = $result->event_type;
		$default_calendar_view = $result->default_calendar_view;	
		$default_timezone = $result->default_timezone;
		$mail_from = $result->mail_from;
		$from_name = $result->from_name;
		$default_language = $result->default_language;
	}

 ?>

<section>
	  <div class="alert alert-warning info-msg" role="alert" id="setting-info"  style="display:none; text-align:center;"></div>
	  <?php if($this->session->flashdata('settings') == "update_success"): ?>
      	<div class="alert alert-success info-msg" role="alert"  id="insert-success" style="text-align: center;"><?= ($this->lang->line('setting_success_message')) ? $this->lang->line('setting_success_message') : "Settings Have Been Changed"; ?></div>
      <?php elseif($this->session->flashdata('settings') == "update_failed") : ?>
      	<div class="alert alert-danger info-msg" role="alert" id="insert-failed"  style="text-align:center;"><?= ($this->lang->line('setting_failed_message')) ? $this->lang->line('setting_failed_message') : "Setting Change Failed"; ?></div>
      <?php endif; ?>
       <?php echo form_open('admin/updateSettings', 'class="form-signin"'); ?>
            <div class="action-title"><span class="lead"><strong><?= ($this->lang->line('setting_head')) ? $this->lang->line('setting_head') : "Settings"; ?></strong></span></div>
            <hr />
            <div class="row">
            	<div class="col-md-5">
                	<div class="form-group">
                        <label for="site_name"><?= ($this->lang->line('setting_sitename')) ? $this->lang->line('setting_sitename') : "Site Name"; ?></label>
                        <div class="input-group">
                            <span class="input-group-addon" id="basic-addon1"><span class="glyphicon glyphicon-pencil" aria-hidden="true"></span></span>
                            <input type="text" id="site_name" name="site_name" class="form-control" value="<?php if(isset($site_name)) echo $site_name ?>" />                            
                         </div>
                     </div>
                    <div class="form-group">           
                        <label for="FirstDay"><?= ($this->lang->line('setting_firstday')) ? $this->lang->line('setting_firstday') : "First Day Of Week"; ?></label>
                        <div class="input-group">
                            <span class="input-group-addon" id="basic-addon1"><span class="glyphicon glyphicon-pencil" aria-hidden="true"></span></span>
                           	<select id="FirstDay" name="FirstDay" class="form-control">
                            	<?php if(isset($first_day)) : ?>
                                	<?php if($first_day == '1'): ?>
                                    	<option value="0">--- <?= ($this->lang->line('setting_label_select')) ? $this->lang->line('setting_label_select') : "Select"; ?> ---</option>                        
                                    	<option value="1" selected ><?= ($this->lang->line('setting_firstday_monday')) ? $this->lang->line('setting_firstday_monday') : "Monday"; ?></option>
                                    	<option value="2"><?= ($this->lang->line('setting_firstday_sunday')) ? $this->lang->line('setting_firstday_sunday') : "Sunday"; ?></option> 
                                     <?php elseif($first_day == '2'): ?>
                                     	<option value="0">--- <?= ($this->lang->line('setting_label_select')) ? $this->lang->line('setting_label_select') : "Select"; ?> ---</option>                        
                                    	<option value="1"><?= ($this->lang->line('setting_firstday_monday')) ? $this->lang->line('setting_firstday_monday') : "Monday"; ?></option>
                                    	<option value="2" selected ><?= ($this->lang->line('setting_firstday_sunday')) ? $this->lang->line('setting_firstday_sunday') : "Sunday"; ?></option> 
                                     <?php else: ?>
                                    	<option value="0" selected >--- <?= ($this->lang->line('setting_label_select')) ? $this->lang->line('setting_label_select') : "Select"; ?> ---</option>                        
                                    	<option value="1"><?= ($this->lang->line('setting_firstday_monday')) ? $this->lang->line('setting_firstday_monday') : "Monday"; ?></option>
                                    	<option value="2"><?= ($this->lang->line('setting_firstday_sunday')) ? $this->lang->line('setting_firstday_sunday') : "Sunday"; ?></option>            
                                    <?php endif; ?>                                    
                                <?php else: ?>
                                	<option value="0" selected >--- <?= ($this->lang->line('setting_label_select')) ? $this->lang->line('setting_label_select') : "Select"; ?> ---</option>                        
                                    <option value="1"><?= ($this->lang->line('setting_firstday_monday')) ? $this->lang->line('setting_firstday_monday') : "Monday"; ?></option>
                                    <option value="2"><?= ($this->lang->line('setting_firstday_sunday')) ? $this->lang->line('setting_firstday_sunday') : "Sunday"; ?></option> 
                                <?php endif; ?>                               
                            </select>
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="TimeFormat"><?= ($this->lang->line('setting_timeformat')) ? $this->lang->line('setting_timeformat') : "Time Format"; ?></label>
                        <div class="input-group">
                            <span class="input-group-addon" id="basic-addon1"><span class="glyphicon glyphicon-pencil" aria-hidden="true"></span></span>
                           	<select id="TimeFormat" name="TimeFormat"  class="form-control">
                            	<?php if(isset($time_format)) : ?>
                                	<?php if($time_format == '1'): ?>
                                    	<option value="0" >--- <?= ($this->lang->line('setting_label_select')) ? $this->lang->line('setting_label_select') : "Select"; ?> ---</option>                        
                                    	<option value="1" selected><?= ($this->lang->line('setting_timeformat_12')) ? $this->lang->line('setting_timeformat_12') : "12 Hour"; ?></option>
                                    	<option value="2"><?= ($this->lang->line('setting_timeformat_24')) ? $this->lang->line('setting_timeformat_24') : "24 Hour"; ?></option> 
                                     <?php elseif($time_format == '2'): ?>
                                     	<option value="0" >--- <?= ($this->lang->line('setting_label_select')) ? $this->lang->line('setting_label_select') : "Select"; ?> ---</option>                        
                                    	<option value="1" ><?= ($this->lang->line('setting_timeformat_12')) ? $this->lang->line('setting_timeformat_12') : "12 Hour"; ?></option>
                                    	<option value="2" selected><?= ($this->lang->line('setting_timeformat_24')) ? $this->lang->line('setting_timeformat_24') : "24 Hour"; ?></option> 
                                     <?php else: ?>
                                    	<option value="0" selected >--- <?= ($this->lang->line('setting_label_select')) ? $this->lang->line('setting_label_select') : "Select"; ?> ---</option>                        
                                    	<option value="1" ><?= ($this->lang->line('setting_timeformat_12')) ? $this->lang->line('setting_timeformat_12') : "12 Hour"; ?></option>
                                    	<option value="2"><?= ($this->lang->line('setting_timeformat_24')) ? $this->lang->line('setting_timeformat_24') : "24 Hour"; ?></option>                
                                    <?php endif; ?>                                    
                                <?php else: ?>
                                	<option value="0" selected>--- <?= ($this->lang->line('setting_label_select')) ? $this->lang->line('setting_label_select') : "Select"; ?> ---</option>                        
                                    <option value="1"><?= ($this->lang->line('setting_timeformat_12')) ? $this->lang->line('setting_timeformat_12') : "12 Hour"; ?></option>
                                    <option value="2"><?= ($this->lang->line('setting_timeformat_24')) ? $this->lang->line('setting_timeformat_24') : "24 Hour"; ?></option> 
                                <?php endif; ?>          
                            </select>
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="DefaultView"><?= ($this->lang->line('setting_defaultview')) ? $this->lang->line('setting_defaultview') : "Default View"; ?></label>
                        <div class="input-group">
                            <span class="input-group-addon" id="basic-addon1"><span class="glyphicon glyphicon-pencil" aria-hidden="true"></span></span>
                           	<select id="DefaultView" name="DefaultView" class="form-control">
                            	<?php if(isset($default_view)) : ?>
                                	<?php if($default_view == 'list'): ?>
                                    	<option value="select" >--- <?= ($this->lang->line('setting_label_select')) ? $this->lang->line('setting_label_select') : "Select"; ?> ---</option>                        
                                    	<option value="list" selected><?= ($this->lang->line('setting_defaultview_listview')) ? $this->lang->line('setting_defaultview_listview') : "List View"; ?></option>
                                    	<option value="calendar"><?= ($this->lang->line('setting_defaultview_calendarview')) ? $this->lang->line('setting_defaultview_calendarview') : "Calendar View"; ?></option> 
                                     <?php elseif($default_view == 'calendar'): ?>
                                     	<option value="select" >--- <?= ($this->lang->line('setting_label_select')) ? $this->lang->line('setting_label_select') : "Select"; ?> ---</option>                        
                                    	<option value="list"><?= ($this->lang->line('setting_defaultview_listview')) ? $this->lang->line('setting_defaultview_listview') : "List View"; ?></option>
                                    	<option value="calendar" selected><?= ($this->lang->line('setting_defaultview_calendarview')) ? $this->lang->line('setting_defaultview_calendarview') : "Calendar View"; ?></option>
                                     <?php else: ?>
                                    	<option value="select" selected>--- <?= ($this->lang->line('setting_label_select')) ? $this->lang->line('setting_label_select') : "Select"; ?> ---</option>                        
                                    	<option value="list"><?= ($this->lang->line('setting_defaultview_listview')) ? $this->lang->line('setting_defaultview_listview') : "List View"; ?></option>
                                    	<option value="calendar" ><?= ($this->lang->line('setting_defaultview_calendarview')) ? $this->lang->line('setting_defaultview_calendarview') : "Calendar View"; ?></option>      
                                    <?php endif; ?>                                    
                                <?php else: ?>
                                	<option value="select" selected>--- <?= ($this->lang->line('setting_label_select')) ? $this->lang->line('setting_label_select') : "Select"; ?> ---</option>                        
                                    <option value="list"><?= ($this->lang->line('setting_defaultview_listview')) ? $this->lang->line('setting_defaultview_listview') : "List View"; ?></option>
                                    <option value="calendar" ><?= ($this->lang->line('setting_defaultview_calendarview')) ? $this->lang->line('setting_defaultview_calendarview') : "Calendar View"; ?></option>     
                                <?php endif; ?>       
                            </select>
                        </div>                      
                    </div> 
                    <div class="form-group">           
                        <label for="DefaultCalendarView"><?= ($this->lang->line('setting_defaultcalendarview')) ? $this->lang->line('setting_defaultcalendarview') : "Default Calendar view"; ?></label>
                        <div class="input-group">
                            <span class="input-group-addon" id="basic-addon1"><span class="glyphicon glyphicon-pencil" aria-hidden="true"></span></span>
                           	<select id="DefaultCalendarView" name="DefaultCalendarView" class="form-control">                            	
                               <?php if(isset($default_calendar_view)) : ?>
                                	<?php if($default_calendar_view == 'select'): ?>
                                    	<option value="select" selected>--- <?= ($this->lang->line('setting_label_select')) ? $this->lang->line('setting_label_select') : "Select"; ?> ---</option>                        
                                    	<option value="year"><?= ($this->lang->line('setting_defaultcalendarview_year')) ? $this->lang->line('setting_defaultcalendarview_year') : "Year"; ?></option>
                                    	<option value="month"><?= ($this->lang->line('setting_defaultcalendarview_month')) ? $this->lang->line('setting_defaultcalendarview_month') : "Month"; ?></option> 
                                        <option value="week"><?= ($this->lang->line('setting_defaultcalendarview_week')) ? $this->lang->line('setting_defaultcalendarview_week') : "Week"; ?></option> 
                                        <option value="day"><?= ($this->lang->line('setting_defaultcalendarview_day')) ? $this->lang->line('setting_defaultcalendarview_day') : "Day"; ?></option> 
                                     <?php elseif($default_calendar_view == 'year'): ?>
                                    	<option value="select">--- <?= ($this->lang->line('setting_label_select')) ? $this->lang->line('setting_label_select') : "Select"; ?> ---</option>                        
                                    	<option value="year" selected><?= ($this->lang->line('setting_defaultcalendarview_year')) ? $this->lang->line('setting_defaultcalendarview_year') : "Year"; ?></option>
                                    	<option value="month"><?= ($this->lang->line('setting_defaultcalendarview_month')) ? $this->lang->line('setting_defaultcalendarview_month') : "Month"; ?></option> 
                                        <option value="week"><?= ($this->lang->line('setting_defaultcalendarview_week')) ? $this->lang->line('setting_defaultcalendarview_week') : "Week"; ?></option> 
                                        <option value="day"><?= ($this->lang->line('setting_defaultcalendarview_day')) ? $this->lang->line('setting_defaultcalendarview_day') : "Day"; ?></option> 
                                     <?php elseif($default_calendar_view == 'month'): ?>
                                    	<option value="select">--- <?= ($this->lang->line('setting_label_select')) ? $this->lang->line('setting_label_select') : "Select"; ?> ---</option>                        
                                    	<option value="year"><?= ($this->lang->line('setting_defaultcalendarview_year')) ? $this->lang->line('setting_defaultcalendarview_year') : "Year"; ?></option>
                                    	<option value="month" selected><?= ($this->lang->line('setting_defaultcalendarview_month')) ? $this->lang->line('setting_defaultcalendarview_month') : "Month"; ?></option> 
                                        <option value="week"><?= ($this->lang->line('setting_defaultcalendarview_week')) ? $this->lang->line('setting_defaultcalendarview_week') : "Week"; ?></option> 
                                        <option value="day"><?= ($this->lang->line('setting_defaultcalendarview_day')) ? $this->lang->line('setting_defaultcalendarview_day') : "Day"; ?></option> 
                                      <?php elseif($default_calendar_view == 'week'): ?>
                                    	<option value="select">--- <?= ($this->lang->line('setting_label_select')) ? $this->lang->line('setting_label_select') : "Select"; ?> ---</option>                        
                                    	<option value="year"><?= ($this->lang->line('setting_defaultcalendarview_year')) ? $this->lang->line('setting_defaultcalendarview_year') : "Year"; ?></option>
                                    	<option value="month"><?= ($this->lang->line('setting_defaultcalendarview_month')) ? $this->lang->line('setting_defaultcalendarview_month') : "Month"; ?></option> 
                                        <option value="week" selected>Week</option> 
                                        <option value="day"><?= ($this->lang->line('setting_defaultcalendarview_day')) ? $this->lang->line('setting_defaultcalendarview_day') : "Day"; ?></option> 
                                      <?php elseif($default_calendar_view == 'day'): ?>
                                    	<option value="select">--- <?= ($this->lang->line('setting_label_select')) ? $this->lang->line('setting_label_select') : "Select"; ?> ---</option>                        
                                    	<option value="year"><?= ($this->lang->line('setting_defaultcalendarview_year')) ? $this->lang->line('setting_defaultcalendarview_year') : "Year"; ?></option>
                                    	<option value="month"><?= ($this->lang->line('setting_defaultcalendarview_month')) ? $this->lang->line('setting_defaultcalendarview_month') : "Month"; ?></option> 
                                        <option value="week"><?= ($this->lang->line('setting_defaultcalendarview_week')) ? $this->lang->line('setting_defaultcalendarview_week') : "Week"; ?></option> 
                                        <option value="day" selected><?= ($this->lang->line('setting_defaultcalendarview_day')) ? $this->lang->line('setting_defaultcalendarview_day') : "Day"; ?></option> 
                                      <?php else: ?> 
                                      	<option value="select" selected>--- <?= ($this->lang->line('setting_label_select')) ? $this->lang->line('setting_label_select') : "Select"; ?> ---</option>                        
                                    	<option value="year"><?= ($this->lang->line('setting_defaultcalendarview_year')) ? $this->lang->line('setting_defaultcalendarview_year') : "Year"; ?></option>
                                    	<option value="month"><?= ($this->lang->line('setting_defaultcalendarview_month')) ? $this->lang->line('setting_defaultcalendarview_month') : "Month"; ?></option> 
                                        <option value="week"><?= ($this->lang->line('setting_defaultcalendarview_week')) ? $this->lang->line('setting_defaultcalendarview_week') : "Week"; ?></option> 
                                        <option value="day"><?= ($this->lang->line('setting_defaultcalendarview_day')) ? $this->lang->line('setting_defaultcalendarview_day') : "Day"; ?></option> 
                                    <?php endif; ?>                                    
                                <?php else: ?>
                                	<option value="select" selected>--- <?= ($this->lang->line('setting_label_select')) ? $this->lang->line('setting_label_select') : "Select"; ?> ---</option>                        
                                    <option value="year"><?= ($this->lang->line('setting_defaultcalendarview_year')) ? $this->lang->line('setting_defaultcalendarview_year') : "Year"; ?></option>
                                    <option value="month"><?= ($this->lang->line('setting_defaultcalendarview_month')) ? $this->lang->line('setting_defaultcalendarview_month') : "Month"; ?></option> 
                                    <option value="week"><?= ($this->lang->line('setting_defaultcalendarview_week')) ? $this->lang->line('setting_defaultcalendarview_week') : "Week"; ?></option> 
                                    <option value="day"><?= ($this->lang->line('setting_defaultcalendarview_day')) ? $this->lang->line('setting_defaultcalendarview_day') : "Day"; ?></option> 
                                <?php endif; ?>                             
                            </select>
                        </div>
                    </div>
                    <button class="btn btn-lg btn-primary btn-block" id="settings" name="settings" type="submit"><?= ($this->lang->line('setting_updatesettings')) ? $this->lang->line('setting_updatesettings') : "Update Settings"; ?></button>
                </div>                   
                <div class="col-md-5">                 
                 	<div class="form-group">           
                        <label for="FirstDay"><?= ($this->lang->line('setting_defaulteventtype')) ? $this->lang->line('setting_defaulteventtype') : "Default Event Type"; ?></label>
                        <div class="input-group">
                            <span class="input-group-addon" id="basic-addon1"><span class="glyphicon glyphicon-pencil" aria-hidden="true"></span></span>
                           	<select id="EventType" name="EventType" class="form-control">                            	
                               <?php if(isset($event_type)) : ?>
                                	<?php if($event_type == 'select'): ?>
                                    	<option value="select" selected>--- <?= ($this->lang->line('setting_label_select')) ? $this->lang->line('setting_label_select') : "Select"; ?> ---</option>                        
                                    	<option value="all-events"><?= ($this->lang->line('setting_defaulteventtype_allevents')) ? $this->lang->line('setting_defaulteventtype_allevents') : "All Events"; ?></option>
                                    	<option value="upcoming-events"><?= ($this->lang->line('setting_defaulteventtype_upcomingevents')) ? $this->lang->line('setting_defaulteventtype_upcomingevents') : "Upcoming Events"; ?></option> 
                                        <option value="past-events"><?= ($this->lang->line('setting_defaulteventtype_pastevents')) ? $this->lang->line('setting_defaulteventtype_pastevents') : "Past Events"; ?></option> 
                                     <?php elseif($event_type == 'all-events'): ?>
                                    	<option value="select">--- <?= ($this->lang->line('setting_label_select')) ? $this->lang->line('setting_label_select') : "Select"; ?> ---</option>                        
                                    	<option value="all-events" selected><?= ($this->lang->line('setting_defaulteventtype_allevents')) ? $this->lang->line('setting_defaulteventtype_allevents') : "All Events"; ?></option>
                                    	<option value="upcoming-events"><?= ($this->lang->line('setting_defaulteventtype_upcomingevents')) ? $this->lang->line('setting_defaulteventtype_upcomingevents') : "Upcoming Events"; ?></option> 
                                        <option value="past-events"><?= ($this->lang->line('setting_defaulteventtype_pastevents')) ? $this->lang->line('setting_defaulteventtype_pastevents') : "Past Events"; ?></option> 
                                     <?php elseif($event_type == 'upcoming-events'): ?>
                                    	<option value="select">--- <?= ($this->lang->line('setting_label_select')) ? $this->lang->line('setting_label_select') : "Select"; ?> ---</option>                        
                                    	<option value="all-events"><?= ($this->lang->line('setting_defaulteventtype_allevents')) ? $this->lang->line('setting_defaulteventtype_allevents') : "All Events"; ?></option>
                                    	<option value="upcoming-events" selected><?= ($this->lang->line('setting_defaulteventtype_upcomingevents')) ? $this->lang->line('setting_defaulteventtype_upcomingevents') : "Upcoming Events"; ?></option> 
                                        <option value="past-events"><?= ($this->lang->line('setting_defaulteventtype_pastevents')) ? $this->lang->line('setting_defaulteventtype_pastevents') : "Past Events"; ?></option> 
                                      <?php elseif($event_type == 'past-events'): ?>
                                    	<option value="select" >--- <?= ($this->lang->line('setting_label_select')) ? $this->lang->line('setting_label_select') : "Select"; ?> ---</option>                        
                                    	<option value="all-events"><?= ($this->lang->line('setting_defaulteventtype_allevents')) ? $this->lang->line('setting_defaulteventtype_allevents') : "All Events"; ?></option>
                                    	<option value="upcoming-events"><?= ($this->lang->line('setting_defaulteventtype_upcomingevents')) ? $this->lang->line('setting_defaulteventtype_upcomingevents') : "Upcoming Events"; ?></option> 
                                        <option value="past-events" selected><?= ($this->lang->line('setting_defaulteventtype_pastevents')) ? $this->lang->line('setting_defaulteventtype_pastevents') : "Past Events"; ?></option>
                                      <?php else: ?> 
                                      	<option value="select" selected>--- <?= ($this->lang->line('setting_label_select')) ? $this->lang->line('setting_label_select') : "Select"; ?> ---</option>                        
                                    	<option value="all-events"><?= ($this->lang->line('setting_defaulteventtype_allevents')) ? $this->lang->line('setting_defaulteventtype_allevents') : "All Events"; ?></option>
                                    	<option value="upcoming-events"><?= ($this->lang->line('setting_defaulteventtype_upcomingevents')) ? $this->lang->line('setting_defaulteventtype_upcomingevents') : "Upcoming Events"; ?></option> 
                                        <option value="past-events"><?= ($this->lang->line('setting_defaulteventtype_pastevents')) ? $this->lang->line('setting_defaulteventtype_pastevents') : "Past Events"; ?></option>
                                    <?php endif; ?>                                    
                                <?php else: ?>
                                	<option value="select" selected>--- <?= ($this->lang->line('setting_label_select')) ? $this->lang->line('setting_label_select') : "Select"; ?> ---</option>                        
                                    <option value="all-events"><?= ($this->lang->line('setting_defaulteventtype_allevents')) ? $this->lang->line('setting_defaulteventtype_allevents') : "All Events"; ?></option>
                                    <option value="upcoming-events"><?= ($this->lang->line('setting_defaulteventtype_upcomingevents')) ? $this->lang->line('setting_defaulteventtype_upcomingevents') : "Upcoming Events"; ?></option> 
                                    <option value="past-events"><?= ($this->lang->line('setting_defaulteventtype_pastevents')) ? $this->lang->line('setting_defaulteventtype_pastevents') : "Past Events"; ?></option>
                                <?php endif; ?>                             
                            </select>
                        </div>
                    </div>                    
                    
                    <div class="form-group">           
                        <label for="DefaultTimeZone"><?= ($this->lang->line('setting_defaulttimezone')) ? $this->lang->line('setting_defaulttimezone') : "Default Timezone"; ?></label>
                        <div class="input-group">
                            <span class="input-group-addon" id="basic-addon1"><span class="glyphicon glyphicon-pencil" aria-hidden="true"></span></span>
                           	<select id="DefaultTimeZone" name="DefaultTimeZone" class="form-control">  
                            <?php $zones = DateTimeZone::listIdentifiers(DateTimeZone::ALL);  ?>                
                            <?php foreach($zones as $zone): ?>
                                <?php if(isset($default_timezone)): ?>
						          <?php if($default_timezone == $zone): ?>
                                        <option value="<?= $zone; ?>" selected ><?= $zone; ?></option>     
						          <?php else: ?>
							             <option value="<?= $zone; ?>"><?= $zone; ?></option>     
                                  <?php endif; ?>
                                <?php else: ?>
                                    <option value="<?= $zone; ?>"><?= $zone; ?></option>
                                <?php endif; ?>
                            <?php endforeach; ?>
                            </select>
                        </div>
                    </div>
                    
                     <div class="form-group">           
                        <label for="DefaultLanguage"><?= ($this->lang->line('setting_defaultlanguage')) ? $this->lang->line('setting_defaultlanguage') : "Default Language"; ?></label>
                        <div class="input-group">
                            <span class="input-group-addon" id="basic-addon1"><span class="glyphicon glyphicon-pencil" aria-hidden="true"></span></span>
                           	<select id="DefaultLanguage" name="DefaultLanguage" class="form-control">  
                                <option value="select">--- <?= ($this->lang->line('setting_label_select')) ? $this->lang->line('setting_label_select') : "Select"; ?> ---</option>  
                                <?php if(isset($languages)) :?>               
                                    <?php foreach($languages as $language): ?>
                                         <?php if(isset($default_language)): ?>
                                            <?php if($default_language == $language): ?>
                                                   <option value="<?= $language; ?>" selected ><?= $language; ?></option>     
                                            <?php else: ?>
                                                <option value="<?= $language; ?>"><?= $language; ?></option>     
                                            <?php endif; ?>
                                        <?php else: ?>
                                            <option value="<?= $language; ?>"><?= $language; ?></option>
                                        <?php endif; ?>
                                    <?php endforeach; ?>
                                 <?php else: ?>
                                 <?php endif; ?>
                            </select>
                        </div>
                    </div>             
		
		 <div class="form-group">           
                        <label for="MailFrom"><?= ($this->lang->line('setting_mailfrom')) ? $this->lang->line('setting_mailfrom') : "Mail From"; ?></label>
                        <div class="input-group">
                            <span class="input-group-addon" id="basic-addon1"><span class="glyphicon glyphicon-pencil" aria-hidden="true"></span></span>
                           	<input class="form-control" type="email" id="MailFrom" name="MailFrom" value= "<?= ($mail_from) ? $mail_from : $admin_email; ?>" required />
                        </div>
                    </div>
					
		 <div class="form-group">           
                        <label for="FromName"><?= ($this->lang->line('setting_fromname')) ? $this->lang->line('setting_fromname') : "From Name"; ?></label>
                        <div class="input-group">
                            <span class="input-group-addon" id="basic-addon1"><span class="glyphicon glyphicon-pencil" aria-hidden="true"></span></span>
                           	<input class="form-control" type="text" id="FromName" name="FromName" value="<?= ($from_name) ? $from_name : 'Eventro'; ?>"  required/>
                        </div>
                    </div>  
                    
                </div>        
             </div>              
        <?php echo form_close(); ?>
</section>
<?php $this->event_calendar->admin_foot(); ?>
   