$(document).ready(function(){

	$('#event-start-date').datetimepicker({ 
			dateFormat:"dd-M-yy", 
			timeFormat: "hh:mm tt", 
			showSecond:false,
			showMillisec:false, 
			showMicrosec:false, 
			showTimezone:false, 
			/*
			onSelect: function(){
				$(this).datetimepicker("hide");	
			}
			*/
	});	
	
	$('#event-end-date').datetimepicker({ 
			dateFormat:"dd-M-yy", 
			timeFormat: "hh:mm tt", 
			hour: 12,
			showSecond:false,
			showMillisec:false, 		
			showMicrosec:false, 
			showTimezone:false,
			/*
			onSelect: function(){
				$(this).datetimepicker("hide");	
			}
			*/
	});
	
	$('#event-start-date, #event-end-date').change(function(){	
	
		if((Date.parse($('#event-start-date').val())) >= (Date.parse($('#event-end-date').val()))){	
			$('#event-end-date').popover('show')
		}else{		
			$('#event-end-date').popover('hide')
		}
        
    });


});