$(document).ready(function(){
	// file upload
	
	var ids = $('#ids').val();
	if($.isEmptyObject(ids)){ ids = 1; }
	
	var urlpath = $('#projectname').val();
	
	$('#fileupload').fileupload({
		url:  urlpath + "EventCalendarAjaxHandler/do_upload",
		dataType: 'json',
		done: function (e, data) {			
			// Add each uploaded file name to the #files list		
			$.each(data.result.files, function (index, file) {
								
				var items = '<li class="files-list-ul-li" id="li-row-'+ids+'">\
				  			 	<img src="'+file.thumbnailUrl+'" width="50px" height="50px">\
							 	<span>'+file.name+'</span>\
								<a href="javascript:void(0)" class="anchor-remove" onclick='+"removeList("+ids+",\""+file.name+"\")"+'>\
									<span class="glyphicon glyphicon-remove custome-style"></span>\
								</a>\
								<input type="hidden" name = "img-name[]" value ='+file.name+'>\
								<input type="hidden" name = "img-url[]" value ='+file.url+'>\
								<input type="hidden" name = "img-thumb-url[]" value =' +file.thumbnailUrl+'>\
							</li>';								
				  $(items).appendTo('#files');
				  ids++;	
			});
		
		},
		progressall: function (e, data) {
			// Update the progress bar while files are being uploaded
			var progress = parseInt(data.loaded / data.total * 100, 10);
			$('#progress .bar').css(
				'width',
				progress + '%'
			);
		}
	});
	
});