$(document).ready(function(){		
	
	$('#submit').click(function(){
	
		if((Date.parse($('#event-start-date').val())) >= (Date.parse($('#event-end-date').val()))){	
				
			$('#info').html('End Date is must be greater than Start Date !').show();
			return false;
						
		}else{	
					
			return true;
		}	
		
	});
	
	$('#update').click(function(){
	
		if((Date.parse($('#event-start-date').val())) >= (Date.parse($('#event-end-date').val()))){	
				
			$('#info').html('End Date is must be greater than Start Date !').show();
			return false;
						
		}else{	
					
			return true;
		}	
		
	});
	
	$('#settings').click(function(){		
		
		if($('#FirstDay').val() == '0'){
			$('#setting-info').html('Fist Day is Required !').show();
			return false;	
		}else if($('#TimeFormat').val() == '0'){
			$('#setting-info').html('Time Format is Required !').show();	
			return false;
		}else if($('#DefaultView').val() == 'select'){
			$('#setting-info').html('Default View is Required !').show();
			return false;
		}else if($('#EventType').val() == 'select'){
			$('#setting-info').html('Event Type is Required !').show();
			return false;
		}else if($('#DefaultCalendarView').val() == 'select'){
			$('#setting-info').html('Default Calendar View is Required !').show();
			return false;
		}else{
			return true;	
		}
		
	});
	
	// Sortable List
	
	$('#files').sortable();
	$('#files').disableSelection();	
	
	$('#DeleteConfirmation').click(function(){
		var result = confirm("Are you sure to delete Event?");
		if( result == true){ 	
			return true;
		}
		return false;
	});
	
	$('#DefaultTimeZone').select2();
	
	
});

// delete event

function confirmDelete(id){
	  var urlpath = $('#projectname').val();
	  var dfd = jQuery.Deferred();
	  var $confirm = $('#confirm-modal');
	  $confirm.modal('show');
	  $('#btn-yes').attr('data-val', id);
	  $('#btn-yes').off('click').click(function () {
		$confirm.modal('hide');
		dfd.resolve(1);
		$.ajax({
			type:"post",
			url:  urlpath + "EventCalendarAjaxHandler/deleteEvent",
			data: "eventid="+id,
			success: function(){
				$('#row-'+id).remove();
				$("#delete-success").show().fadeOut(4000);
				window.location.reload();	
			}
		});		
	  });
	  $('#btn-cancel').off('click').click(function () {
		$confirm.modal('hide');
		return false;
	  });
}

// delete uploaded file

function removeList(id, imageName){
	
	var urlpath = $('#projectname').val();
	var result = confirm("Are you sure to delete Image?");
	if( result == true){ 	
		$.ajax({
			type:    "post",
			url:      urlpath + "EventCalendarAjaxHandler/removeImage",
			data:    "imagename="+imageName,
			success: function(data){
				$('#li-row-'+id).remove();	
			}
		});
	}
	
	var size = $('.files-list-ul-li').size();
	if(size <=1 ){
		$('#progress .bar').css('width', 0);
	}
	return false;
		
}
function locationMap() {
	
		var lat = $('#evnt2-lat').val();	
		var lon = $('#evnt2-lon').val();
		var rad = $('#evnt2-radius').val();	
		$('#evnt2').locationpicker({		
			location: {latitude: lat , longitude: lon },	
			radius: rad,			
			enableAutocomplete: true,
			onchanged: function(currentLocation, radius, isMarkerDropped) {}
		});
}

function eventLoad(url) {
	$('#events-modal .modal-body').empty();

	$("#events-modal .modal-body").load(url, function(){
		locationMap();
	});
}

function openEvent(url){
	
	$('[data-toggle="tooltip"]').tooltip('hide');
	$('#events-modal').modal('show');
	$('#events-modal').on('shown.bs.modal', function(e){													   
		eventLoad(url);													 
	});
	
}

tinyMCE.init({
	selector:".text-editor",
	menubar:false

});


function getSess(sess){
	var url = $('#projectname').val();
	$.ajax({
		'type': 'post',
		'url' : url + 'EventCalendarAjaxHandler/setSess',
		'data': { 'sess_data': sess },
		'success': function(){
			return true;	
		}
	});
	
}

