<!DOCTYPE html>
<html>
<head>
<link rel="shortcut icon" href="../demo/favicon.ico">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Graph page</title>
<link rel="stylesheet" type="text/css" href="css/menustyle.css" />
<link rel="stylesheet" type="text/css" href="css/tablestyle.css" />
<script type="text/javascript">
	var data='temperature'; //default value
	var db='A';
	
	function setDataType(type){
		data=type;	
	}
	
	function setdbID(dbID){
		db=dbID	
	}
	
	function getPage(board){
		window.location.href="graph.php?data="+data+"&board="+board+"&db="+db;
	}
</script>

</head>
<body>
<table>
	<tr>
		<td class="side"><img src="../demo/Lilliad.png" alt="lilliad_logo" title="lilliad_logo" /></td>
		<td class="tdCenter"><h1 class="title">Board list</h1> </td>
		<td class="side"><img src="../demo/lille1.png" alt="lille1" title="lille1" /></td>
	</tr>
</table>
<div class="container">
  
<ul>
<li class="dropdown">
  <input type="checkbox" />
  <a href="#" data-toggle="dropdown">Data type</a>
  <ul class="dropdown-menu">
  <li><a href="javascript:setDataType('temperature');">Temperature</a></li>
  </ul>
  
</li> 
<li class="dropdown">
  <input type="checkbox" />
  <a href="#" data-toggle="dropdown">Daughter board</a>
  <ul class="dropdown-menu">
  <li><a href="javascript:setdbID('A');">A</a></li>
  <li><a href="javascript:setdbID('B');">B</a></li>
  <li><a href="javascript:setdbID('C');">C</a></li>
  <li><a href="javascript:setdbID('D');">D</a></li>
  <li><a href="javascript:setdbID('E');">E</a></li>
  <li><a href="javascript:setdbID('F');">F</a></li>
  <li><a href="javascript:setdbID('G');">G</a></li>
  <li><a href="javascript:setdbID('H');">H</a></li>
  </ul>
  
</li> 
<li class="dropdown">
 <input type="checkbox" />
 <a href="#" data-toggle="dropdown">Select board</a>
  <ul class="dropdown-menu">
	<?php
	if ($file = @fopen('csv/sensors.txt', 'r')) {
		while(($line = fgets($file)) !== false) {
			if(strcmp($line ,"\r\n")!=0){
				$line=substr($line, 0, 3);
				echo "<li><a href=\"javascript:getPage('".$line."');\"> board ".$line."</a></li>\n";					
			}
			
		}
		fclose($file);
	}
	?>
  </ul>
</li>  
</ul>
</div>
<h5 id="footerlink"><a href="values.php?board=1&data=temperature&db=A"><em>Check out instantaneous values!</em></a></h5>
</body>
</html>


