#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <netdb.h>
#include <unistd.h>

void UDPmessage(char *hote,char *service,unsigned char *message,int taille){
        struct addrinfo precisions,*resultat,*origine;
        int statut;
        int s;

        /* Creation of socket address */
        memset(&precisions,0,sizeof precisions);
        precisions.ai_family=AF_UNSPEC;
        precisions.ai_socktype=SOCK_DGRAM;
        statut=getaddrinfo(hote,service,&precisions,&origine);
        if(statut<0){ perror("UDP.getaddrinfo"); exit(EXIT_FAILURE); }
        struct addrinfo *p;
        for(p=origine,resultat=origine;p!=NULL;p=p->ai_next)
                if(p->ai_family==AF_INET6){ resultat=p; break; }

        /* Creation of socket */
        s=socket(resultat->ai_family,resultat->ai_socktype,resultat->ai_protocol);
        if(s<0){ perror("UDP.socket"); exit(EXIT_FAILURE); }

        /* Socket options */
        int vrai=1;
        if(setsockopt(s,SOL_SOCKET,SO_BROADCAST,&vrai,sizeof(vrai))<0){
                perror("UDPserverInit.setsockopt (BROADCAST)");
                exit(-1);
        }

        /* Send message */
        int nboctets=sendto(s,message,taille,0,resultat->ai_addr,resultat->ai_addrlen);
        if(nboctets<0){ perror("UDP.sendto"); exit(EXIT_FAILURE); }


        freeaddrinfo(origine);
        //shutdown(s,SHUT_RDWR);
        close(s);
}
