#!/bin/bash

ipPrefix="172.20.11."



if [ $# -eq 3 ]; then
file="/var/www/troisiemesexe.lol/eventro/uploads/"$3
ip=$ipPrefix$1

ping -c5 $ip &> /dev/null ; pong=$?
if [[ $pong == 1 ]]; then
	mkdir -pm 775 /var/www/troisiemesexe.lol/log
	echo -n "["`date +'%d/%m/%Y-%H:%M:%S'`"] : " >> /var/www/troisiemesexe.lol/log/files/board$1.log
	echo "board not reachable or not connected" >> /var/www/troisiemesexe.lol/log/files/board$1.log
	exit	
fi


if [ -f $file ]; then
	sshpass -p raspberry /usr/bin/scp $file pi@$ip:/home/pi/autoconf
else
	echo $2 'file not found'
	exit
fi

if [[ $2 == [a-hA-H] ]]; then  
mkdir -pm 775 /var/www/troisiemesexe.lol/log
echo -n "["`date +'%d/%m/%Y-%H:%M:%S'`"] : " >> /var/www/troisiemesexe.lol/log/files/board$1.log
sshpass -p raspberry /usr/bin/ssh -p22 pi@$ip "/usr/bin/sudo bash -c 'source $HOME/.bashrc; cd /home/pi/autoconf; multipdi.sh $2 $3'" 2>&1 | tr -d '\n' >> /var/www/troisiemesexe.lol/log/files/board$1.log
echo >> /var/www/troisiemesexe.lol/log/files/board$1.log
else
	echo $2 'type of board not known'
	exit
fi


else
	echo Give 3 parameters which should be a boardId subboardId file
fi
