<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Event extends CI_Controller {
	
	
	
	function __construct(){
		
		parent:: __construct();	
		
	}
	
	function index($event_title=FALSE){
		$protocol = (@$_SERVER["HTTPS"] == "on") ? "https://" : "http://";
		if (substr($_SERVER['HTTP_HOST'], 0, 4) !== 'www.') {
			header('Location: '.$protocol.'www.'.$_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI']);
			exit;
		}
		$event_id = $this->input->get('p') ? intval($this->input->get('p')): 0 ;
		if(($event_id > 0) && ($event_title !== FALSE)){			
			$data['events'] =  $this->event_calendar->get_event_by_id($event_id);
			$data['locations']  = $this->event_calendar->get_locationt_by_id($event_id);
			$data['images']  = $this->event_calendar->get_image_by_id($event_id);
			$data['videos']   = $this->event_calendar->get_video_by_id($event_id);
			$data['title'] = $this->event_calendar->get_event_title($event_id);
			$data['meta_title'] = $this->event_calendar->get_event_title($event_id);
			$data['meta_description'] = $this->event_calendar->get_event_meta_description($event_id);
			$this->load->view('user/single-event',$data);
		}else{			
			redirect(base_url());
		}	
			
	 
	}
	
	function model($event_id){
		
		$data['events'] =  $this->event_calendar->get_event_by_id($event_id);
		$data['locations']  = $this->event_calendar->get_locationt_by_id($event_id);
		$data['images']  = $this->event_calendar->get_image_by_id($event_id);
		$data['videos']   = $this->event_calendar->get_video_by_id($event_id);	
		$this->load->view('admin/model-event',$data);
		
	}

}
	

/*End of Addevent.php
*Source: ../application/modules/admin/controllers/Event.php
*/
