<?php defined( 'BASEPATH' ) OR exit( 'No direct script access allowed' );

class Page extends CI_Controller{	

	
	function index($type = FALSE){
		
		$protocol = (@$_SERVER["HTTPS"] == "on") ? "https://" : "http://";
		if (substr($_SERVER['HTTP_HOST'], 0, 4) !== 'www.') {
			header('Location: '.$protocol.'www.'.$_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI']);
			exit;
		}
		
		$file = INSPATH;		
		if(file_exists($file)){
			require_once($file);
			$installInfo =  new Installed();
			$info = $installInfo->is_installed();
			if($info){
				if($type === FALSE) { $type = $this->event_calendar->get_event_type(); }
				$this->session->set_userdata('default_lang', $this->event_calendar->get_settings_data()->row()->default_language);
				$this->load->library('pagination');
				$config = $this->event_calendar->get_pagination_link("page/$type/", $type);
				$this->pagination->initialize($config);		
				$data['events'] = $this->event_calendar->get_pagination_data($type, $config['per_page'], $this->uri->segment(3)); 
				$data['settings'] = $this->event_calendar->get_settings_data();
				$data['def_vw'] =  ($this->session->userdata('def_vw')) ? $this->session->userdata('def_vw') : $data['settings']->row()->default_view;	
				$data['type'] = ucwords(str_replace('-',' ',$type));			
				$data['images'] = $this->event_calendar->get_images();
				$data['title'] = $this->event_calendar->get_site_name();
				$data['past_events'] = $this->event_calendar->get_past_events();	
				$data['upcoming_events'] = $this->event_calendar->get_upcoming_events();	
				$data['ongoing_events'] = $this->event_calendar->get_ongoing_events();	
                $data['enque_scripts'] = $this->event_calendar->enque_scripts('front-dashboard');
				$this->load->view('user/list-event', $data);
			}else{
				
			 	$outpath = $this->event_calendar->evc_config_db_database( 'localhost' );
				redirect('install');
			}
		}else{
			$outpath = $this->event_calendar->evc_config_db_database( 'localhost' );
			redirect('install');
		}
		
		
	}	
	
}
