<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Event_Calendar{
	
		
/*
===================================================================================================================
|																												  |
|											Public Members													      |												  |
|																												  |
===================================================================================================================
*/
	

	public $CI;
		
/*
===================================================================================================================
|																												  |
|											Construtor														      |												  |
|																												  |
===================================================================================================================
*/

	function __construct(){
	
		$this->CI =& get_instance();
		
		
	}
	
		
/*
===================================================================================================================
|																												  |
|											Configuration 														  |												  |
|																												  |
===================================================================================================================
*/

 	public function evc_config_db_connection( $hostname="", $username="", $password=""){
		
        $evc_db_file = file_get_contents( INTCONPATH );
	  	if(! empty($evc_db_file)){
			$wf  = str_replace("%HOSTNAME%",$hostname, $evc_db_file);
			$wf  = str_replace("%USERNAME%",$username, $wf);
			$wf  = str_replace("%PASSWORD%",$password, $wf);		
			$res = fopen( EXTPATH,"w+" );
			@chmod(EXTPATH,0777);
			if(is_writable( EXTPATH )) {
				if(fwrite( $res, $wf )) {
					return 1;
				}
			}
		}
		return 0;   
	}
	
   public function evc_config_db_database( $hostname="", $username="", $password="" , $database=""){	
		$evc_db_file = file_get_contents( INTDBPATH );
		if(! empty($evc_db_file)){
			$wf  = str_replace("%HOSTNAME%",$hostname, $evc_db_file);
			$wf  = str_replace("%USERNAME%",$username, $wf);
			$wf  = str_replace("%PASSWORD%",$password, $wf);
			$wf  = str_replace("%DATABASE%",$database, $wf);
		
			$res = fopen( EXTPATH,"w+" );
			@chmod(EXTPATH,0777);
			if(is_writable( EXTPATH )) {
				if(fwrite( $res, $wf )) {
					return 1;
				}
			}
		}
		return 0;   
	}
    
    public function evc_config_file(){  
		
        $myfile = fopen( INSPATH, "w" );
		$fileText = $this->settings_get_file();
        fwrite($myfile, $fileText);
        fclose($myfile); 	
		     
    }
	
	public function settings_get_file(){
		
		$string = "<?php defined('BASEPATH') OR die('No direct script access allowed');\n\n";
		$string .= "class Installed{\n\n";
		$string .= "\tfunction is_installed(){\n";
		$string .= "\t\treturn 'installed';\n";
		$string .= "\t}\n";
		$string .= "}\n";
		
		return $string;
		
	}
	
		
/*
===================================================================================================================
|																												  |
|											Check Log														  |												  |
|																												  |
===================================================================================================================
*/
	
	
	public function check_authentication(){
		
		$file = INSPATH;		
		if(file_exists($file)){
			require_once($file);
			$installInfo =  new Installed();
			$info = $installInfo->is_installed();
			if($info){				
				 return 1;
			}
			
		}
		return 0;
		
	}
	
	public function check_admin(){
	
		if($this->CI->session->userdata('admin') == 'true'){
			return 1;
		}
		return 0;			
		
	}
	

	
	
		
/*
===================================================================================================================
|																												  |
|										Get Funcitons													          |												  |
|																												  |
===================================================================================================================
*/

	public function get_event_id(){
		
		$this->CI->load->model('event_calendar_model');
		$result = $this->CI->event_calendar_model->getEventID();
		return  $result;
	}
	
	public function get_next_event_id(){
	
		$this->CI->load->model('event_calendar_model');
		$result = $this->CI->event_calendar_model->get_next_event_id();
		return  $result;
		
	}
	
	public function get_event_by_id($event_id){		
		
		$this->CI->load->model('event_calendar_model');
		$result = $this->CI->event_calendar_model->get_event_by_id($event_id);
		return $result;
	}
	
	public function get_locationt_by_id($event_id){
		
		$this->CI->load->model('event_calendar_model');
		$result = $this->CI->event_calendar_model->get_location_by_id($event_id);
		return $result;
	}
	
	public function get_image_by_id($event_id){
		
		$this->CI->load->model('event_calendar_model');
		$result = $this->CI->event_calendar_model->get_image_by_id($event_id);
		return $result;
	}
	
	public function get_video_by_id($event_id){
		
		$this->CI->load->model('event_calendar_model');
		$result = $this->CI->event_calendar_model->get_video_by_id($event_id);
		return $result;
	}
	
	public function get_url_tilte($event_title){
		
		$this->CI->load->model('event_calendar_model');
        $url_title =  trim(preg_replace(array( '/[^A-Za-z0-9\-]/', '/\s{2,}/' ), ' ', $event_title));
        return strtolower(str_replace(" ","-", $url_title));
		
	}
	
	public function get_all_events($type){
		
		$this->CI->load->model('event_calendar_model');
		$result = $this->CI->event_calendar_model->get_all_events($type);
		return $result;
		
	}	
	
	
	public function get_settings_data(){
	
		$this->CI->load->model('event_calendar_model');
		$result = $this->CI->event_calendar_model->get_settings_data();
		return $result;
		
	}
	
	public function get_event_title($event_id){
	
		$this->CI->load->model('event_calendar_model');
		$result = $this->CI->event_calendar_model->get_event_title($event_id);
		return $result;
		
	}

	public function get_site_name(){
	
		$this->CI->load->model('event_calendar_model');
		$result = $this->CI->event_calendar_model->get_site_name();
		return $result;		
	}
	

	public function get_event_meta_description($event_id){
		
		$this->CI->load->model('event_calendar_model');
		$result = $this->CI->event_calendar_model->get_event_meta_description($event_id);
		$meta_description = substr(strip_tags($result), 0, 255);
		return $meta_description;
		
	}
	
	public function get_images(){
		
		$this->CI->load->model('event_calendar_model');
		$result = $this->CI->event_calendar_model->get_images();
		return $result;
	}

	public function get_event_type(){
	
		$this->CI->load->model('event_calendar_model');
		$result =  $this->CI->event_calendar_model->get_event_type();
		return $result;
		
	}
	
	public function get_pagination_data($type, $per_page, $segment){
		$this->CI->load->database();
		$date = date('Y-m-d H:i:s');
		$result;	
		if($type == "all-events"){
			$this->CI->db->order_by('start_date', 'asc');			
			$result = $this->CI->db->get('event_calendar_event', $per_page, $segment );
		}elseif($type == "upcoming-events"){
			$this->CI->db->where('end_date >=', $date);
			$this->CI->db->order_by('start_date', 'asc');			
			$result = $this->CI->db->get('event_calendar_event', $per_page, $segment );
		}if($type == "past-events"){
			$this->CI->db->where("end_date < ", $date);
			$this->CI->db->order_by('start_date', 'asc');			
			$result = $this->CI->db->get('event_calendar_event', $per_page, $segment );
		}
		return $result;
		
	}
	
	public function get_pagination_link($url, $type){
	
		$config['base_url'] =  base_url($url);
		$config['total_rows'] = $this->get_all_events($type)->num_rows();
		$config['per_page'] = 10;
		$config['num_links'] = 5;
		$config['full_tag_open'] = '<ul class="pagination cus-pag">';
		$config['full_tag_close'] = '</ul>';
		$config['first_link'] = false;
		$config['last_link'] = false;
		$config['first_tag_open'] = '<li>';
		$config['first_tag_close'] = '</li>';
		$config['prev_link'] = '&laquo';
		$config['prev_tag_open'] = '<li class="prev">';
		$config['prev_tag_close'] = '</li>';
		$config['next_link'] = '&raquo';
		$config['next_tag_open'] = '<li>';
		$config['next_tag_close'] = '</li>';
		$config['last_tag_open'] = '<li>';
		$config['last_tag_close'] = '</li>';
		$config['cur_tag_open'] = '<li class="active"><a href="">';
		$config['cur_tag_close'] = '</a></li>';
		$config['num_tag_open'] = '<li>';
		$config['num_tag_close'] = '</li>';		
		
		return $config;	
		
	}
	
	public function get_past_events(){
		
		$past = array();
		$this->CI->load->model('event_calendar_model');
		$result = $this->CI->event_calendar_model->get_past_events();
		foreach($result->result() as $row){
			$past[] = $row->event_title;
		}
		return $past;
		
	}
	public function get_upcoming_events(){
		
		$upcoming = array();
		$this->CI->load->model('event_calendar_model');
		$result = $this->CI->event_calendar_model->get_upcoming_events();
		foreach($result->result() as $row){
			$upcoming[] = $row->event_title;
		}
		return $upcoming;
		
	}
	public function get_ongoing_events(){
	
		$ongoing = array();
		$this->CI->load->model('event_calendar_model');
		$result = $this->CI->event_calendar_model->get_ongoing_events();
		foreach($result->result() as $row){
			$ongoing[] = $row->event_title;
		}
		return $ongoing;
		
	}
	
	public function get_timezone(){
	
		$this->CI->load->model('event_calendar_model');
		$timezone = $this->CI->event_calendar_model->get_timezone();
		return $timezone;
	}
    
    public function get_language(){
        
        $data = $this->get_settings_data();
        $data = $data->row();
        return $data->default_language;
    }
	
	public function mail_protocol(){
		$this->CI->load->model('event_calendar_model');
		$mail_protocol = $this->CI->event_calendar_model->mail_protocol();
		return $mail_protocol;
	}
	public function mail_from(){
		$this->CI->load->model('event_calendar_model');
		$mail_from = $this->CI->event_calendar_model->mail_from();
		return $mail_from;
	}
	public function from_name(){
		$this->CI->load->model('event_calendar_model');
		$from_name = $this->CI->event_calendar_model->from_name();
		return $from_name;
	}
	
	public function smtp_host(){
		$this->CI->load->model('event_calendar_model');
		$smtp_host = $this->CI->event_calendar_model->smtp_host();
		return $smtp_host;
	}
	
	public function smtp_username(){
		$this->CI->load->model('event_calendar_model');
		$smtp_username = $this->CI->event_calendar_model->smtp_username();
		return $smtp_username;
	}
	
	public function smtp_password(){
		$this->CI->load->model('event_calendar_model');
		$smtp_password = $this->CI->event_calendar_model->smtp_password();
		return $smtp_password;
	}
	
	public function smtp_port(){
		$this->CI->load->model('event_calendar_model');
		$smtp_port = $this->CI->event_calendar_model->smtp_port();
		return $smtp_port;
	}
	
	public function get_all_languages(){	
	
        $lang_path = $_SERVER['DOCUMENT_ROOT'].dirname($_SERVER['SCRIPT_NAME']).'/application/language/'; 
		$dirs = array();               
		foreach(glob($lang_path.'*', GLOB_ONLYDIR) as $dir) {
             $dirs[]  = basename($dir);
		}
		return $dirs;             	
    }    
	
	
/*
===================================================================================================================
|																												  |
|										Enque Scripts/Styles											          |												  |
|																												  |
===================================================================================================================
*/
	
	
	public function enque_styles($style_for){
		
		$styles = array();
		switch(strtolower($style_for)){
			
			case 'dashboard' : 
							$styles[] = base_url('assets/admin/css/calendar/calendar.css');
							break;
			case 'add-event' :
			case 'edit-event' :						
							$styles[] =  base_url('assets/admin/css/jquery-ui.theme.min.css');
							$styles[] =  base_url('assets/admin/css/datetime-picker/jquery-ui-timepicker-addon.css');
							$styles[] = base_url('assets/admin/css/file-upload/jquery.fileupload.css');
							$styles[] = base_url('assets/admin/css/file-upload/jquery.fileupload-ui.css');
							break;
			case 'settings' :
							$styles[] = base_url('assets/admin/css/additional/select2.min.css');
							break;
			case 'change-password' :
							break;
			case 'view-event' :
							break;
			case 'page-list' :
							break;
			case 'page-view' :
							break;
					
				
		}
		return $styles;
		
	}
	
	public function enque_scripts($script_for){
		
		$scripts = array();
		switch(strtolower($script_for)){
			
			case 'dashboard' : 
                            $scripts[] = base_url("assets/admin/js/calendar/language/". $this->get_language(). ".js");
							$scripts[] = base_url('assets/admin/js/calendar/underscore-min.js');
							$scripts[] = base_url('assets/admin/js/calendar/calendar.js');
							$scripts[] = base_url('assets/admin/js/calendar/calendar-app.js');
							$scripts[] = base_url('assets/admin/js/map/locationpicker.jquery.js');
							$scripts[] = 'http://maps.google.com/maps/api/js?sensor=false&libraries=places';
							$scripts[] = base_url('assets/admin/js/map/map-action.js');							
							break;
			case 'add-event' :
			case 'edit-event' :
                            $scripts[] = base_url("assets/admin/js/calendar/language/". $this->get_language(). ".js");
							$scripts[] = base_url('assets/admin/js/datetime-picker/jquery-ui-timepicker-addon.js');
							$scripts[] = base_url('assets/admin/js/datetime-picker/datetimepicker.js');
							$scripts[] = base_url('assets/admin/js/file-upload/jquery.ui.widget.js');
							$scripts[] = base_url('assets/admin/js/file-upload/jquery.iframe-transport.js');
							$scripts[] = base_url('assets/admin/js/file-upload/jquery.fileupload.js');
							$scripts[] = base_url('assets/admin/js/file-upload/file-upload.js');
							$scripts[] = base_url('assets/admin/js/map/locationpicker.jquery.js');
							$scripts[] = 'http://maps.google.com/maps/api/js?sensor=false&libraries=places';
							$scripts[] = base_url('assets/admin/js/map/map-action.js');
							$scripts[] = base_url('assets/admin/js/tinymce/tinymce.min.js');
							break;
			case 'settings' :
                            $scripts[] = base_url("assets/admin/js/calendar/language/". $this->get_language(). ".js");
							$scripts[] = base_url('assets/admin/js/additional/select2.min.js');
							break;
			case 'change-password' :
                            $scripts[] = base_url("assets/admin/js/calendar/language/". $this->get_language(). ".js");
							break;
			case 'view-event' :
                            $scripts[] = base_url("assets/front/js/language/". $this->get_language(). ".js");
							$scripts[] = base_url('assets/front/js/locationpicker.jquery.js');
							$scripts[] = 'http://maps.google.com/maps/api/js?sensor=false&libraries=places';
							$scripts[] = base_url('assets/front/js/map-action.js');
							break;
            case 'front-dashboard' :
                            $scripts[] = base_url("assets/front/js/language/". $this->get_language(). ".js");
                            $scripts[] = base_url('assets/front/js/underscore-min.js');
							$scripts[] = base_url('assets/front/js/calendar.js');
							$scripts[] = base_url('assets/front/js/calendar-app.js');
							$scripts[] = base_url('assets/front/js/locationpicker.jquery.js');
							$scripts[] = 'http://maps.google.com/maps/api/js?sensor=false&libraries=places';
							$scripts[] = base_url('assets/front/js/map-action.js');
							break;
					
				
		}
		return $scripts;
		
	}

/*
===================================================================================================================
|																												  |
|										Header/ Footer											          		  |												  |
|																												  |
===================================================================================================================
*/
	
	
	public function admin_head(){
		
		$this->CI->load->view('admin/header');
		
	}
	
	public function admin_login_head(){
		
		$this->CI->load->view('admin/login_header');
		
	}
	
	public function front_head(){
			
			$this->CI->load->view('user/header');

	}
	
	public function front_foot(){
		
		$this->CI->load->view('user/footer');
	}
	
	public function admin_foot(){
		
		$this->CI->load->view('admin/footer');
		
	}
	
	public function admin_login_foot(){
		
		$this->CI->load->view('admin/login_footer');
		
	}

}

/*
*End of EventCalendar class
*Source: Application/library/EventCalendar.php
*/