<?php defined( 'BASEPATH' ) OR exit('No direct script access allowed');

class Form_Data{
	
	
	public $CI;
	
	function __construct(){
		
		$this->CI = & get_instance();
		
	}
	
	public function get_data_install_form_database_info(){
	
		$installInfoData = array();
		
		$installInfoData['hostname'] = $this->CI->input->post('hostname', TRUE);
		$installInfoData['username'] = $this->CI->input->post('username', TRUE);
		$installInfoData['password'] = $this->CI->input->post('password', TRUE);
		$installInfoData['database'] = $this->CI->input->post('database', TRUE);
					
		return $installInfoData;
	}
	
	public function get_data_install_form_admin(){
	
		$adminData = array();
		
		$adminData['user_name'] = $this->CI->input->post('user-name', TRUE);
		$adminData['user_email'] = $this->CI->input->post('user-email', TRUE);
		$adminData['user_password'] = $this->CI->input->post('user-pass', TRUE);
		$adminData['nick_name'] = $this->CI->input->post('nick-name', TRUE);
		
		return $adminData;		
		
	}
	
	public function get_data_event_form_add(){
		
		$eventAddData = array();
		$eventAddData['event_title']      	= $this->CI->input->post('event-title', TRUE);
		$date =  new DateTime($this->CI->input->post('event-start-date'));
		$eventAddData['start_date']        	=   $date->format('Y-m-d H:i:s');
		$date =  new DateTime($this->CI->input->post('event-end-date'));
		$eventAddData['end_date']         	=  $date->format('Y-m-d H:i:s');
		$eventAddData['event_address']     	= $this->CI->input->post('event-address', TRUE);
		$eventAddData['event_description'] 	= $this->CI->input->post('event-description', TRUE);
		return $eventAddData;
		
		
	}
	
	public function get_data_event_form_location(){		
		
		$eventLocationData = array();
		
		$eventLocationData['location']       = $this->CI->input->post('evnt2-address', TRUE);
		$eventLocationData['radius']         = $this->CI->input->post('evnt2-radius', TRUE);
		$eventLocationData['latitude']       = $this->CI->input->post('evnt2-lat', TRUE);
		$eventLocationData['longitude']      = $this->CI->input->post('evnt2-lon', TRUE);
			
		return $eventLocationData;	
		

	}
	
	public function get_data_event_form_boards(){
		$boardAddData = array();
		$date =  new DateTime($this->CI->input->post('event-start-date'));
		$boardAddData['startTime']        	=   $date->format('H:i:s');
		$boardAddData['startDate']        	=   $date->format('Y-m-d');
		$date =  new DateTime($this->CI->input->post('event-end-date'));
		$boardAddData['endTime']         	=  $date->format('H:i:s');
		$boardAddData['boardAdd']		= $this->CI->input->post('boardAdd', TRUE);
		$boardAddData['subboardAdd']	= $this->CI->input->post('subboardAdd', TRUE);
		return $boardAddData;
	}
	
	public function get_data_login_form(){
		
		$loginData = array();
		
		$loginData['user_name'] 	= $this->CI->input->post('inputUser', TRUE);
		$loginData['user_password'] = $this->CI->input->post('inputPassword', TRUE);
		
		return $loginData;
		
	}
	
	public function get_data_changePassword_form(){
		
		$changeLoginData = array();
		$changeLoginData['OldPassword'] 	= $this->CI->input->post('OldPassword', TRUE);
		$changeLoginData['NewPassword'] 	= $this->CI->input->post('NewPassword', TRUE);
		$changeLoginData['RepeatPassword']  = $this->CI->input->post('RepeatPassword', TRUE);
		
		return $changeLoginData;
		
	}
	
	public function get_data_forgot_form(){
	
		$forgotData = array();
		
		$forgotData['user_email'] = $this->CI->input->post('inputEmail', TRUE);
		
		return $forgotData;
			
		
	}
	
	public function get_data_event_form_image(){

		$imageData = array();
	
		if(($this->CI->input->post('img-name')) &&  ($this->CI->input->post('img-url'))){						
			$imageData['image_name'] = $this->CI->input->post('img-name', TRUE);
			$imageData['image_url']  = $this->CI->input->post('img-url', TRUE);
			$imageData['image_thumb_url']  = $this->CI->input->post('img-thumb-url', TRUE);
		}
		return $imageData;
			
		
	}
	
	public function get_data_event_form_video(){
	
		$videoData = array();
		
		if(!empty($this->CI->input->post('video-url'))){
			$videoData['video_url'] = $this->CI->input->post('video-url');
		}
		
		return $videoData;
			
		
	}
	
	public function get_data_event_form_settings(){
		
		$settingsData = array();
		$settingsData['first_day'] = $this->CI->input->post('FirstDay');
		$settingsData['time_format'] = $this->CI->input->post('TimeFormat');
		$settingsData['default_view'] = $this->CI->input->post('DefaultView');
		$settingsData['site_name']  = empty($this->CI->input->post('site_name'))? 'Event Calendar' : $this->CI->input->post('site_name');
		$settingsData['event_type'] = $this->CI->input->post('EventType');
		$settingsData['default_calendar_view'] =  $this->CI->input->post('DefaultCalendarView');
		$settingsData['default_timezone'] = $this->CI->input->post('DefaultTimeZone');
		$settingsData['default_language'] = $this->CI->input->post('DefaultLanguage');
		$settingsData['mail_from'] = $this->CI->input->post('MailFrom');
		$settingsData['from_name'] = $this->CI->input->post('FromName');
		return $settingsData;
		
	}
		
	
}