<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title><?php if(isset($title)) echo $title; ?></title>  
    
  	<link href="<?php echo base_url('assets/admin/css/bootstrap.min.css'); ?>" rel="stylesheet">    
    <link href="<?php echo base_url('assets/admin/css/style.css'); ?>" rel="stylesheet">
  </head>
  <body>
	<div class="container" style="max-width:450px;">
        <nav class="navbar" role="navigation">
            <div class="navbar-header">
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1">
                    <span class="sr-only">Toggle navigation</span><span class="icon-bar"></span><span class="icon-bar"></span><span class="icon-bar"></span>
                </button> <a class="navbar-brand" href="<?php echo base_url('admin/dashboard');?>"><img src="<?php echo base_url('assets/admin/images/eventro.png'); ?>"></a>
             </div>
            <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
                <ul class="nav navbar-nav navbar-right">
					<?php if(preg_match('/admin\/forgot-password/' , $_SERVER["REQUEST_URI"])) : ?>
                    	<li class="deactive"><?php echo anchor('admin', 'Sign in'); ?></li>
						<li class="active" > <?php echo anchor('admin/forgot-password', 'Forgot Password <span class="glyphicon glyphicon-question-sign" aria-hidden="true"></span>'); ?></li>
                    <?php else: ?>
						<li class="active"><?php echo anchor('admin', 'Sign in'); ?></li>
						<li class="deactive" > <?php echo anchor('admin/forgot-password', 'Forgot Password <span class="glyphicon glyphicon-question-sign" aria-hidden="true"></span>'); ?></li>
                	<?php endif; ?>
				</ul>
            </div>
        </nav>
	</div>
    <div class="container" style="max-width:450px;">
    <div class="content-wrap">
<section>    
    <?php if($this->session->flashdata('email') == "send-success"): ?>
    	<div class="alert alert-success info-msg" role="alert"  id="insert-success" style="text-align: center;">Password Sent To Your Email"</div>
    <?php elseif($this->session->flashdata('email') == "send-failed") : ?>
    	<div class="alert alert-danger info-msg" role="alert" id="insert-failed"  style="text-align:center;">Password Send Failed, try again"</div>
    <?php elseif($this->session->flashdata('email') == "not-found") : ?>
    	<div class="alert alert-danger info-msg" role="alert" id="insert-failed"  style="text-align:center;">Email You Provided, Not Found"</div>
    <?php endif; ?>
    
    <?php echo form_open('admin/send_password', 'class="form-signin"'); ?>
    
    <h2 class="lead">Forgot Password</h2>
    <div class="row">
        <div class="col-md-12">
            <div class="form-group">
                <label for="inputEmail">Email address</label>
                <div class="input-group">
                    <span class="input-group-addon" id="basic-addon1"><span class="glyphicon glyphicon-envelope" aria-hidden="true"></span></span>
                    <input type="email" id="inputEmail" name="inputEmail" class="form-control input-lg" placeholder="Email address" required autofocus>
                </div>
            </div>
				<hr>
                <button class="btn btn-lg btn-primary btn-block" type="submit">Recover Password</button>
        </div>
   </div>
                
   
  <?php echo form_close(); ?>
</section>
 </div>
            </div>   
        <footer>
        <div class="container" style="max-width:450px;">
        <hr />
        <p><img src="<?php echo base_url('assets/admin/images/tangien-powered.png'); ?>" /></p>
        </div>
        </footer>	
	</body>
</html>
    