
<?php $this->event_calendar->admin_head(); ?>

<?php if($settings->num_rows() > 0): ?>
	<?php $setting = $settings->row();?>
    <?php $first_day = $setting->first_day; ?>
    <?php $time_format = $setting->time_format; ?>
    <?php $default_view = $def_vw ; ?>
    <?php $default_calendar_view = $setting->default_calendar_view; ?>
    <?php $default_language = $setting->default_language; ?>
<?php endif; ?>

<div class="alert alert-danger info-msg" role="alert" id="delete-success"  style="display:none; text-align:center;"><?= ($this->lang->line('delete_success_message')) ? $this->lang->line('delete_success_message') : "Event Deletd"; ?></div>  
<!-- Nav tabs -->
<div id="calender-view">
 <!-- Split button -->
    <div class="btn-group pull-right">
      <button type="button" class="btn btn-default">
		  <?php if(isset($type)){
				if( strcmp($type,"Past Events") == 0 ){
					echo $this->lang->line('event_type_pastevent');
				}elseif(strcmp($type,"Upcoming Events") == 0 ){
					echo $this->lang->line('event_type_upcomingevent');
				}else{
		  			echo $this->lang->line('event_type_allevent');
				}
		   }else{
		  		echo $this->lang->line('event_type_allevent');
			}?>
	  </button>
      <button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
        <span class="caret"></span>
        <span class="sr-only">Toggle Dropdown</span>
      </button>
      <ul class="dropdown-menu">
        <li><a href="<?= base_url('admin/dashboard/all-events'); ?>"><?= ($this->lang->line('event_type_allevent')) ? $this->lang->line('event_type_allevent') : "All Events"; ?></a></li>
        <li><a href="<?= base_url('admin/dashboard/upcoming-events'); ?>"><?= ($this->lang->line('event_type_upcomingevent')) ? $this->lang->line('event_type_upcomingevent') : "Upcoming Events"; ?></a></li>
        <li><a href="<?= base_url('admin/dashboard/past-events'); ?>"><?= ($this->lang->line('event_type_pastevent')) ? $this->lang->line('event_type_pastevent') : "Past Events"; ?></a></li>
      </ul>
    </div><!-- split button -->

  <ul class="nav nav-tabs" role="tablist">
    <li role="presentation" class="<?php if(isset($default_view)) if($default_view == 'list') echo 'active' ?>"><a href="#listview" aria-controls="profile" role="tab" data-toggle="tab" onclick="getSess('list')"><span class="glyphicon glyphicon-th-list" aria-hidden="true"></span> <?= ($this->lang->line('list_view_label')) ? $this->lang->line('list_view_label') : "List View"; ?> </a></li>
    <li role="presentation" class="<?php if(isset($default_view)) if($default_view == 'calendar') echo 'active' ?>"><a href="#calendarview" aria-controls="home" role="tab" data-toggle="tab" onclick="getSess('calendar')"><span class="glyphicon glyphicon-calendar" aria-hidden="true"></span> <?= ($this->lang->line('calendar_view_label')) ? $this->lang->line('calendar_view_label') : "Calendar View"; ?> </a></li>
  </ul>  
  
 
  
  <!-- Tab panes -->
  <div class="tab-content">  	
    <div role="tabpanel" class="tab-pane <?php if(isset($default_view)) if($default_view == 'list') echo 'active' ?>" id="listview">     
      <table class="table">
        <thead>
          <tr> 
            <th><?= ($this->lang->line('list_view_heading_eventname')) ? $this->lang->line('list_view_heading_eventname') : "Event Name"; ?></th>
            <th><?= ($this->lang->line('list_view_heading_location')) ? $this->lang->line('list_view_heading_location') : "Location"; ?></th>
            <th><?= ($this->lang->line('list_view_heading_startdate')) ? $this->lang->line('list_view_heading_startdate') : "Start Date"; ?></th>
            <th><?= ($this->lang->line('list_view_heading_enddate')) ? $this->lang->line('list_view_heading_enddate') : "Start Date"; ?></th>
            <th><?= ($this->lang->line('list_view_heading_view')) ? $this->lang->line('list_view_heading_view') : "View"; ?></th>
            <th><?= ($this->lang->line('list_view_heading_edit')) ? $this->lang->line('list_view_heading_edit') : "Edit"; ?></th>
            <th><?= ($this->lang->line('list_view_heading_delete')) ? $this->lang->line('list_view_heading_delete') : "Delete"; ?></th>
          </tr>
        </thead>
        <?php  if($events->num_rows() > 0): ?>
        <tbody>
          <?php foreach($events->result() as $row): ?>
          <?php if(in_array($row->event_title, $past_events)): ?>
          <tr id="<?php echo 'row-'.$row->event_id; ?>" class="danger">     
            <td><?php echo $row->event_title; ?><br /><span class="label label-danger">Passed</span></td>
            <td><?php echo $row->event_address; ?></td>
          <td><?php echo date_format(date_create($row->start_date), 'd-M-Y h:i a'); ?></td>
            <td><?php echo date_format(date_create($row->end_date),'d-M-Y h:i a'); ?></td>
            <td><a href="<?php echo $row->event_view_url.'/?p='.$row->event_id; ?>" class="btn btn-default btn-sm" target="_blank"><span class="glyphicon glyphicon-share" aria-hidden="true"></span></a></td>
            <td><a href="<?php echo base_url("admin/edit-event/$row->event_id");?>" class="btn btn-primary btn-sm"><span class="glyphicon glyphicon-edit" aria-hidden="true"></span></a></td>
            <td><a href="javascript:void(0)" id="<?php echo 'delete-event-'.$row->event_id; ?>" class="btn btn-danger btn-sm" onclick="confirmDelete(<?php echo $row->event_id; ?>)" ><span class="glyphicon glyphicon-trash" aria-hidden="true"></span></a></td>
          </tr>
          
          <?php elseif(in_array($row->event_title, $ongoing_events)): ?>
          <tr id="<?php echo 'row-'.$row->event_id; ?>" class="info">     
            <td><?php echo $row->event_title; ?><br /><span class="label label-info">Ongoing</span></td>
            <td><?php echo $row->event_address; ?></td>
             <td><?php echo date_format(date_create($row->start_date), 'd-M-Y h:i a'); ?></td>
            <td><?php echo date_format(date_create($row->end_date),'d-M-Y h:i a'); ?></td>
            <td><a href="<?php echo $row->event_view_url.'/?p='.$row->event_id; ?>" class="btn btn-default btn-sm" target="_blank"><span class="glyphicon glyphicon-share" aria-hidden="true"></span></a></td>
            <td><a href="<?php echo base_url("admin/edit-event/$row->event_id");?>" class="btn btn-primary btn-sm"><span class="glyphicon glyphicon-edit" aria-hidden="true"></span></a></td>
            <td><a href="javascript:void(0)" id="<?php echo 'delete-event-'.$row->event_id; ?>" class="btn btn-danger btn-sm" onclick="confirmDelete(<?php echo $row->event_id; ?>)"><span class="glyphicon glyphicon-trash" aria-hidden="true"></span></a></td>
          </tr>
          
          <?php elseif(in_array($row->event_title, $upcoming_events)): ?>
          <tr id="<?php echo 'row-'.$row->event_id; ?>" class="success">     
            <td><?php echo $row->event_title; ?><br /><span class="label label-success">Upcoming</span></td>
            <td><?php echo $row->event_address; ?></td>
             <td><?php echo date_format(date_create($row->start_date), 'd-M-Y h:i a'); ?></td>
            <td><?php echo date_format(date_create($row->end_date),'d-M-Y h:i a'); ?></td>
            <td><a href="<?php echo $row->event_view_url.'/?p='.$row->event_id; ?>" class="btn btn-default btn-sm" target="_blank"><span class="glyphicon glyphicon-share" aria-hidden="true"></span></a></td>
            <td><a href="<?php echo base_url("admin/edit-event/$row->event_id");?>" class="btn btn-primary btn-sm"><span class="glyphicon glyphicon-edit" aria-hidden="true"></span></a></td>
            <td><a href="javascript:void(0)" id="<?php echo 'delete-event-'.$row->event_id; ?>" class="btn btn-danger btn-sm" onclick="confirmDelete(<?php echo $row->event_id; ?>)"><span class="glyphicon glyphicon-trash" aria-hidden="true"></span></a></td>
          </tr>
          <?php endif; ?>
          <?php endforeach; ?>
        </tbody>
        
        <tfoot>
          <tr>
            <td colspan="8" align="center"><?php echo $this->pagination->create_links(); ?></td>
          </tr>
        </tfoot>
        <?php else: ?>
        <tfoot>
          <tr>
            <td colspan="8" align="center"><span><strong>No Events Found </strong></span></td>
          </tr>
        </tfoot>
        <?php endif; ?>
      </table>
    </div>
    
    <div role="tabpanel" class="tab-pane <?php if(isset($default_view)) if($default_view == 'calendar') echo 'active' ?>" id="calendarview">
      <div class="page-header">
        <div class="pull-right form-inline">          
          <div class="btn-group">
			<button class="btn btn-default" data-calendar-nav="prev">&laquo; <?= ($this->lang->line('calendar_view_prev')) ? $this->lang->line('calendar_view_prev') : "Prev"; ?></button>
			<button class="btn btn-default" data-calendar-nav="today"><?= ($this->lang->line('calendar_view_today')) ? $this->lang->line('calendar_view_today') : "Today"; ?></button>
			<button class="btn btn-default" data-calendar-nav="next"><?= ($this->lang->line('calendar_view_next')) ? $this->lang->line('calendar_view_next') : "Next"; ?> &raquo;</button>
		  </div>
                  
		  <div class="btn-group">
			<button class="btn btn-default" data-calendar-view="year"><?= ($this->lang->line('calendar_view_year')) ? $this->lang->line('calendar_view_year') : "Year"; ?></button>
			<button class="btn btn-default default" data-calendar-view="month"><?= ($this->lang->line('calendar_view_month')) ? $this->lang->line('calendar_view_month') : "Month"; ?></button>
			<button class="btn btn-default" data-calendar-view="week"><?= ($this->lang->line('calendar_view_week')) ? $this->lang->line('calendar_view_week') : "Week"; ?></button>
			<button class="btn btn-default" data-calendar-view="day"><?= ($this->lang->line('calendar_view_day')) ? $this->lang->line('calendar_view_day') : "Day"; ?></button>
		  </div>
        </div>
        <h3></h3>
      </div>
          
      <div class="not-found">
        <?php if($events->num_rows() <= 0): ?>
            <span><strong>Event Not Found</strong></span>
            <hr />
        <?php endif; ?>
      </div> 
            
      <div class="row">
        <div class="col-md-12">
          <div id="calendar"></div>
        </div>             
     </div>
   </div>
  </div>
</div>

<!-- Confirm Delete -->

<div class="modal fade" id="confirm-modal">
  <div class="modal-dialog modal-sm">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <h4 class="modal-title"><?= ($this->lang->line('delete_confirm_title')) ? $this->lang->line('delete_confirm_title') : "Deletd Event"; ?></h4>
      </div>
      <div class="modal-body"><?= ($this->lang->line('delete_confirm_message')) ? $this->lang->line('delete_confirm_message') : "Are You Sure Delete This Event?"; ?></div>
      <div class="modal-footer">
      	<button type="button" id="btn-yes" data-val="" class="btn btn-primary"><?= ($this->lang->line('delete_confirm_yes')) ? $this->lang->line('delete_confirm_yes') : "Yes"; ?></button>
        <button type="button" id="btn-canncel" class="btn btn-default" data-dismiss="modal"><?= ($this->lang->line('delete_confirm_cancel')) ? $this->lang->line('delete_confirm_cancel') : "Cancel"; ?></button>        
      </div>
    </div><!-- /.modal-content -->
  </div><!-- /.modal-dialog -->
</div><!-- /.modal -->

 
<!-- Modal -->
<div class="modal fade" id="events-modal">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-body"></div>
		</div><!-- /.modal-content --> 
	</div><!-- /.modal-dialog --> 
</div><!-- /.modal --> 
<input type="hidden" id="projectname"  value="<?php echo base_url(); ?>" />
<input type="hidden" id="DefaultLang"  value="<?= ($default_language) ? $default_language : 'en-EN'; ?>" />
<input type="hidden" id="FirstDay" value="<?php echo $first_day ; ?>"/>
<input type="hidden" id="TimeFormat" value="<?php echo $time_format; ?>"/>
<input type="hidden" id="type" value="<?php echo isset($type)? str_replace(" ", "-",strtolower($type)) : "all-events" ?>" />
<input type="hidden" id="default-calendar-view" value="<?= ($default_calendar_view) ? $default_calendar_view : 'month'; ?>" />
<?php $this->event_calendar->admin_foot(); ?>