<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

		<title>Install Event Calendar</title>
		<link href="<?php echo base_url('assets/admin/css/bootstrap.min.css'); ?>" rel="stylesheet">
        <link href="<?php echo base_url('assets/admin/css/jquery-ui.min.css'); ?>" rel="stylesheet">   
        <link href="<?php echo base_url('assets/admin/css/jquery-ui-timepicker-addon.css'); ?>" rel="stylesheet">
        <link href="<?php echo base_url('assets/admin/css/jquery-ui.theme.min.css'); ?>" rel="stylesheet">
        <link href="<?php echo base_url('assets/admin/css/style.css'); ?>" rel="stylesheet">
	</head>
	<body class="installation">
    <div class="installation-wrap">
        
        <div class="row">   
            <div class="col-md-12">
            <div class="main-title">Installation: Event Calendar</div>
				<?php if($this->session->flashdata('connection-info') == "failed"): echo '<div class="alert alert-danger info-msg" role="alert" id="insert-failed"  style="text-align:center;">Connection error: try again!</div>';  ?>
                <?php elseif($this->session->flashdata('database-info') == "failed") : echo '<div class="alert alert-danger info-msg" role="alert" id="insert-failed"  style="text-align:center;">Database you provided, is not found: create database first!</div>'; ?>
                <?php endif; ?>
				<?php echo form_open('install/step-1');?>               
            </div>
        </div>
             
    		<div class="row">
            <div class="col-md-6">
                <h4>Database Setting</h4> 
                <fieldset>               
                <div class="form-group">
                  <label for="hostname">Hostname</label>
                  <input type="text" id="hostname" name="hostname" value="<?php if(isset($inputs_database)){ echo $inputs_database['hostname']; }else{ echo "localhost" ;}?>" class="form-control" placeholder = "Hostname"  required />
                </div> 
                <div class="form-group">
                  <label for="username">Username</label>
                  <input type="text" id="username" name="username" value="<?php if(isset($inputs_database)){ echo $inputs_database['username']; }?>" class="form-control" placeholder = "Database User" required autofocus />
                </div> 
                <div class="form-group">
                  <label for="password">Password</label>
                  <input type="password" id="password" name="password"  placeholder = "Database password" class="form-control" />
                </div>
                <div class="form-group">  
                  <label for="database">Database Name</label>
                  <input type="text" id="database" name="database" value="<?php if(isset($inputs_database)){ echo $inputs_database['database']; }?>" class="form-control" placeholder = "Database name" required />
                </div>
               </fieldset>     
            </div>
            <div class="col-md-6">
                <h4>Admin Setting</h4>
                <fieldset>
                <div class="form-group">
                  <label for="user_name">Username</label>
                  <input type="text" id="user-name" name="user-name" value="<?php if(isset($inputs_admin)){ echo $inputs_admin['user_name']; }?>" class="form-control" placeholder = "Admin Username" required />
                 </div>
                 <div class="form-group">
                  <label for="user_pass">Password</label>
                  <input type="text" id="user-pass" name="user-pass"  class="form-control" placeholder = "Admin Password" required  />
                 </div>
                 <div class="form-group">
                  <label for="user_email">Email</label>
                  <input type="email" id="user-email" name="user-email" value="<?php if(isset($inputs_admin)){ echo $inputs_admin['user_email']; }?>" class="form-control" placeholder = "User Email" required />
               </div> 
               <div class="form-group">
                  <label for="nick-name">Nick Name (Optional)</label>
                  <input type="text" id="nick-name" name="nick-name" value="<?php if(isset($inputs_admin)){ echo $inputs_admin['nick_name']; }?>" class="form-control" placeholder = "Nick Name" />
               </div> 
               </fieldset>             
            </div>
            </div>
            <div class="row">
            <div class="col-md-12">
                <div class="btn-submit"><button type="submit" class="btn btn-primary btn-block btn-lg" name="submit" value="Install"><span class="glyphicon glyphicon-save" aria-hidden="true"></span> Install Eventro</button></div>
            </div>
            <?php echo form_close(); ?>  
          </div>
        </div>
	</body>
</html>